var farbtastic;
var index;
var swatch;
var color;
var picker;

(function($){
	var pickColor = function(a) {
		farbtastic.setColor(a);
		$(color).val(a);
		$(swatch).css('background-color', a);
	};
	
	$(document).ready( function() {
		
		//Pick Color Control Array
		$('.pickcolor').click( function(e) {
			index = jQuery(this).attr('name');
			swatch = '#swatch-' + index;
			color = '#color-' + index;
			picker = '#colorPickerDiv-' + index;
			farbtastic = $.farbtastic( picker, pickColor);
			pickColor( $(color).val() );
			$(picker).show();
			e.preventDefault();
		});
		
		// Default Comment Control Array
		$('.defaultcolor').click( function(e) {
			index = jQuery(this).attr('name');
			var defaultcolor = jQuery(this).attr('title');
			swatch = '#swatch-' + index;
			color = '#color-' + index;
			$(color).val(defaultcolor);
			$(swatch).css('background-color', defaultcolor);
		});

		$(document).mousedown( function() {
			$(picker).hide();
		});
	});
})(jQuery);