<?php
/*
  Template Name: Sitemap for Copying Post Links - Custom
 */
?>
<?php
if (function_exists('cat_temp_menus')) {
global $post, $id;
}
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>"/>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<?php if (st_stallionallinoneseo() == '1') : ?>
<?php st_seo_title_e(); ?>
<?php st_seo_meta_d(); ?>
<?php st_seo_meta_k(); ?>
<?php else : ?>
<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
<?php endif; ?>
<?php
if ( is_singular() && get_post_meta($post->ID, 'st_meta_header_or', true) ): $stmetaheaderor = get_post_meta($post->ID, 'st_meta_header_or', true);
else : $stmetaheaderor = stct_header_bg_img();
endif;
?>
<?php if (st_header_bg_on_ors() == '1' && st_header_alt_ors() == '1') { ?><style type="text/css">#header_stallion {background-image: url(<?php
if (file_exists(STYLESHEETPATH . '/headers/' . $stmetaheaderor . '')) {
bloginfo('stylesheet_directory');
} else {
bloginfo('template_url');
}
?><?php echo('/headers/' . $stmetaheaderor . ''); ?>);}</style>
<?php } ?>
<?php if (st_robot_noodpydir() == '1') { ?><meta name="robots" content="noodp,noydir" /><?php } ?>
<?php function str_layout1000() {
if (file_exists(STYLESHEETPATH . '/colors/layout-1000.css')) {
wp_enqueue_style('str_layout1000',get_stylesheet_directory_uri() . '/colors/layout-1000.css',false,8.4,'screen'
);
} else {
wp_enqueue_style('str_layout1000',get_template_directory_uri() . '/colors/layout-1000.css',false,8.4,'screen'
);
}
}
add_action( 'wp_enqueue_scripts', 'str_layout1000', 9); ?>
<?php function remove_str_layout() {
wp_dequeue_style('str_layout');
wp_deregister_style('str_layout');
}
add_action('wp_print_styles', 'remove_str_layout'); ?>
<?php wp_head(); ?>
<?php if (st_g_analyticsful() != '') { echo st_g_analyticsful(); } ?>
</head>
<body <?php body_class(); ?>>
<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_OFF--><?php } ?>
<div id="custom-background-css"><div id="wrap_stallion">

<div id="content_all">
<div id="maincontent">

<div id="post-entry">
<?php if (have_posts()) : ?>

<div id="archives-sitemap" class="post-meta">
<?php get_template_part( 'layout/link_h1_self' ); ?>

<div class="post-content">

<h2>Posts</h2>
<ul>
<li><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></li>
</ul>

<?php
// Add categories you'd like to exclude in the exclude here
$cats = get_categories(');
foreach ($cats as $catz) {
echo "<ul>
";
echo '<li><a href="' . get_category_link($catz->cat_ID) . '">' . $catz->cat_name . '</a></li>

';

query_posts('posts_per_page=-1&cat=' . $catz->cat_ID);
while (have_posts()) {
the_post();
$category = get_the_category();
// Only display a post link once, even if it's in multiple categories
if ($category[0]->cat_ID == $catz->cat_ID) {
echo '<li><a href="' . get_permalink() . '">' . get_the_title() . '</a></li>
';
}
}
echo "</ul>";
echo "
";
}
wp_reset_query();
?>

<h2 id="pages">Pages</h2>
<ul>
<?php
echo "";
// Add pages you'd like to exclude in the exclude here
wp_list_pages(
array(
'exclude' => '',
'title_li' => '',
)
);
?>
</ul>

</div>

<div class="divpadding"></div>

</div>


<?php endif; ?>

</div>

</div>

<div class="singleside">
<div class="rightside">
<div id="right-sidebars">
<div class="sidebar-box">
</div>
</div>
</div>

<div class="leftside">
<div id="left-sidebars">
<div class="sidebar-box">
</div>
</div>
</div>

</div>

<div id="footer_stallion">
<?php if (st_privacy_policy() >= '1') { ?><a href="<?php echo st_privacy_policy_url(); ?>" target="_blank"><?php echo st_privacy_policy_anchor(); ?></a> <?php } ?>&copy;<?php the_time('Y'); ?>&nbsp;<a href="<?php echo home_url(); ?><?php if (st_seo_plus() == '1') { ?>#maincontent<?php } ?>"><?php
if (stallion_site_title_2() != '') {
echo stallion_site_title_2();
} else {
bloginfo('name');
}
?></a>
</div>
</div>

</div></div>
<?php wp_footer(); ?>
<?php if (st_scroll_links_ors() != 'hide') { ?><div class="st-scroll-<?php echo(st_scroll_links_ors()); ?>">
<a class="strotate" href="#">&laquo;</a><a class="strotate" href="#footer_stallion">&raquo;</a>
</div><?php } ?>
<?php if (is_user_logged_in() && st_queries_used() == '1') { ?><div id="queries_stallion"><p class="adscenter"><code><?php echo get_num_queries(); ?> queries in <?php timer_stop(1); ?> seconds <?php if (function_exists('memory_get_usage')) echo '(Memory Usage ' . number_format(memory_get_usage() / 1024 / 1024, 2) . 'MB)'; ?></code></p></div><?php } ?>
</body>
</html>