<?php add_filter('cmb_meta_boxes', 'stallion_layout_meta_post');
/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function stallion_layout_meta_post(array $meta_boxes) {

$st_layout_array = array(
array('name' => 'Default', 'value' => '',),
array('name' => '1 - Main Content 760px : Left Sidebar 210px', 'value' => '210l',),
array('name' => '2 - Main Content 760px : Right Sidebar 210px', 'value' => '210r',),
array('name' => '3 - Main Content 660px : Left Sidebar 310px', 'value' => '310l',),
array('name' => '4 - Main Content 660px : Right Sidebar 310px', 'value' => '310r',),
array('name' => '5 - Main Content 560px : Left Sidebar 410px', 'value' => '410l',),
array('name' => '6 - Main Content 560px : Right Sidebar 410px', 'value' => '410r',),
array('name' => '7 - Main Content 560px : Left Sidebar 200px : Right Sidebar 200px', 'value' => '200l200r',),
array('name' => '8 - Main Content 560px : Left Sidebar 200px : Left Sidebar 200px', 'value' => '200l200l',),
array('name' => '9 - Main Content 560px : Right Sidebar 200px : Right Sidebar 200px', 'value' => '200r200r',),
array('name' => '10 - Main Content 550px : Left Sidebar 255px : Left Sidebar 165px', 'value' => '255l165l',),
array('name' => '11 - Main Content 550px : Right Sidebar 255px : Right Sidebar 165px', 'value' => '255r165r',),
array('name' => '12 - Main Content : No Sidebars', 'value' => '1000',),
array('name' => 'Custom 01', 'value' => 'custom-01',),
);
if (function_exists('stc_child_layout')) {
$st_layout_array_ch = stc_child_layout();
} else {
$st_layout_array_ch = array(
array('name' => '', 'value' => ' ',),
);
}
$st_layout_result = array_merge($st_layout_array, $st_layout_array_ch);

$st_font_array = array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Georgia, serif', 'value' => 'georgia-serif',),
array('name' => 'Georgia, serif Rounded Corners', 'value' => 'georgia-serif-rc',),
array('name' => 'Palatino Linotype, Book Antiqua, Palatino, serif', 'value' => 'palatino-linotype-book-antiqua-palatino-serif',),
array('name' => 'Palatino Linotype, Book Antiqua, Palatino, serif Rounded Corners', 'value' => 'palatino-linotype-book-antiqua-palatino-serif-rc',),
array('name' => 'Times New Roman, Times, serif', 'value' => 'times-new-roman-times-serif',),
array('name' => 'Times New Roman, Times, serif Rounded Corners', 'value' => 'times-new-roman-times-serif-rc',),
array('name' => 'Arial, Helvetica, sans-serif', 'value' => 'arial-helvetica-sans-serif',),
array('name' => 'Arial, Helvetica, sans-serif Rounded Corners', 'value' => 'arial-helvetica-sans-serif-rc',),
array('name' => 'Arial Black, Gadget, sans-serif', 'value' => 'arial-black-gadget-sans-serif',),
array('name' => 'Arial Black, Gadget, sans-serif Rounded Corners', 'value' => 'arial-black-gadget-sans-serif-rc',),
array('name' => 'Comic Sans MS, cursive, sans-serif', 'value' => 'comic-sans-ms-cursive-sans-serif',),
array('name' => 'Comic Sans MS, cursive, sans-serif Rounded Corners', 'value' => 'comic-sans-ms-cursive-sans-serif-rc',),
array('name' => 'Impact, Charcoal, sans-serif', 'value' => 'impact-charcoal-sans-serif',),
array('name' => 'Impact, Charcoal, sans-serif Rounded Corners', 'value' => 'impact-charcoal-sans-serif-rc',),
array('name' => 'Lucida Sans Unicode, Lucida Grande, sans-serif', 'value' => 'lucida-sans-unicode-lucida-grande-sans-serif',),
array('name' => 'Lucida Sans Unicode, Lucida Grande, sans-serif Rounded Corners', 'value' => 'lucida-sans-unicode-lucida-grande-sans-serif-rc',),
array('name' => 'Tahoma, Geneva, sans-serif', 'value' => 'tahoma-geneva-sans-serif',),
array('name' => 'Tahoma, Geneva, sans-serif Rounded Corners', 'value' => 'tahoma-geneva-sans-serif-rc',),
array('name' => 'Trebuchet MS, Helvetica, sans-serif', 'value' => 'trebuchet-ms-helvetica-sans-serif',),
array('name' => 'Trebuchet MS, Helvetica, sans-serif Rounded Corners', 'value' => 'trebuchet-ms-helvetica-sans-serif-rc',),
array('name' => 'Verdana, Geneva, sans-serif', 'value' => 'verdana-geneva-sans-serif',),
array('name' => 'Verdana, Geneva, sans-serif Rounded Corners', 'value' => 'verdana-geneva-sans-serif-rc',),
array('name' => 'Courier New, Courier, monospace', 'value' => 'courier-new-courier-monospace',),
array('name' => 'Courier New, Courier, monospace Rounded Corners', 'value' => 'courier-new-courier-monospace-rc',),
array('name' => 'Lucida Console, Monaco, monospace', 'value' => 'lucida-console-monaco-monospace',),
array('name' => 'Lucida Console, Monaco, monospace Rounded Corners', 'value' => 'lucida-console-monaco-monospace-rc',),
array('name' => 'Custom 01', 'value' => 'custom-01',),
array('name' => 'Custom 02', 'value' => 'custom-02',),
array('name' => 'Custom 03', 'value' => 'custom-03',),
array('name' => 'Custom 04', 'value' => 'custom-04',),
array('name' => 'Custom 05', 'value' => 'custom-05',),
);
if (function_exists('stc_child_fonts')) {
$st_font_array_ch = stc_child_fonts();
} else {
$st_font_array_ch = array(
array('name' => '', 'value' => ' ',),
);
}
$st_font_result = array_merge($st_font_array, $st_font_array_ch);

$st_colour_array = array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Blue - Airy Blue', 'value' => 'airy-blue',),
array('name' => 'Blue - Airy Blue Plus', 'value' => 'airy-blue-plus',),
array('name' => 'Blue - Blue Izis', 'value' => 'blue-izis',),
array('name' => 'Blue - Blue Izis Plus', 'value' => 'blue-izis-plus',),
array('name' => 'Blue - Cosmic Cobalt', 'value' => 'cosmic-cobalt',),
array('name' => 'Blue - Cosmic Cobalt Plus', 'value' => 'cosmic-cobalt-plus',),
array('name' => 'Blue - Dazzling Blue and Cayenne', 'value' => 'dazzling-blue-cayenne',),
array('name' => 'Blue - Dazzling Blue and Cayenne Plus', 'value' => 'dazzling-blue-cayenne-plus',),
array('name' => 'Blue - Facebook Blue', 'value' => 'facebook-blue',),
array('name' => 'Blue - Facebook Blue Plus', 'value' => 'facebook-blue-plus',),
array('name' => 'Blue - Limpet Shell', 'value' => 'limpet-shell',),
array('name' => 'Blue - Limpet Shell Plus', 'value' => 'limpet-shell-plus',),
array('name' => 'Blue - Riverside', 'value' => 'riverside',),
array('name' => 'Blue - Riverside Plus', 'value' => 'riverside-plus',),
array('name' => 'Blue - Serenity', 'value' => 'serenity',),
array('name' => 'Blue - Serenity Plus', 'value' => 'serenity-plus',),
array('name' => 'Brown - Burlywood', 'value' => 'burlywood',),
array('name' => 'Brown - Burlywood Plus', 'value' => 'burlywood-plus',),
array('name' => 'Brown - Iced Coffee', 'value' => 'iced-coffee',),
array('name' => 'Brown - Iced Coffee Plus', 'value' => 'iced-coffee-plus',),
array('name' => 'Brown - Maroon', 'value' => 'maroon',),
array('name' => 'Brown - Maroon Plus', 'value' => 'maroon-plus',),
array('name' => 'Brown - Marsala', 'value' => 'marsala',),
array('name' => 'Brown - Marsala Plus', 'value' => 'marsala-plus',),
array('name' => 'Brown - Potters Clay', 'value' => 'potters-clay',),
array('name' => 'Brown - Potters Clay Plus', 'value' => 'potters-clay-plus',),
array('name' => 'Brown - Warm Taupe', 'value' => 'warm-taupe',),
array('name' => 'Brown - Warm Taupe Plus', 'value' => 'warm-taupe-plus',),
array('name' => 'Cyan - Turquoise', 'value' => 'turquoise',),
array('name' => 'Cyan - Turquoise Plus', 'value' => 'turquoise-plus',),
array('name' => 'Gray - Dark Slate Gray', 'value' => 'dark-slate-gray',),
array('name' => 'Gray - Dark Slate Gray Plus', 'value' => 'dark-slate-gray-plus',),
array('name' => 'Gray - Light Slate Gray', 'value' => 'light-slate-gray',),
array('name' => 'Gray - Light Slate Gray Plus', 'value' => 'light-slate-gray-plus',),
array('name' => 'Green - Emerald', 'value' => 'emerald',),
array('name' => 'Green - Emerald Plus', 'value' => 'emerald-plus',),
array('name' => 'Green - Forest Green', 'value' => 'forest-green',),
array('name' => 'Green - Forest Green Plus', 'value' => 'forest-green-plus',),
array('name' => 'Green - Green Flash', 'value' => 'green-flash',),
array('name' => 'Green - Green Flash Plus', 'value' => 'green-flash-plus',),
array('name' => 'Green - Lush Meadow', 'value' => 'lush-meadow',),
array('name' => 'Green - Lush Meadow Plus', 'value' => 'lush-meadow-plus',),
array('name' => 'Green - Light Sea Green', 'value' => 'light-sea-green',),
array('name' => 'Green - Light Sea Green Plus', 'value' => 'light-sea-green-plus',),
array('name' => 'Orange - Small Tortoiseshell Butterfly', 'value' => 'small-tortoiseshell-butterfly',),
array('name' => 'Orange - Small Tortoiseshell Butterfly Plus', 'value' => 'small-tortoiseshell-butterfly-plus',),
array('name' => 'Orange - Spring Tangerine', 'value' => 'spring-tangerine',),
array('name' => 'Orange - Spring Tangerine Plus', 'value' => 'spring-tangerine-plus',),
array('name' => 'Orange-Red - Tangerine Tango', 'value' => 'tangerine-tango',),
array('name' => 'Orange-Red - Tangerine Tango Plus', 'value' => 'tangerine-tango-plus',),
array('name' => 'Pink - Bodacious', 'value' => 'bodacious',),
array('name' => 'Pink - Bodacious Plus', 'value' => 'bodacious-plus',),
array('name' => 'Pink - Honeysuckle', 'value' => 'honeysuckle',),
array('name' => 'Pink - Honeysuckle Plus', 'value' => 'honeysuckle-plus',),
array('name' => 'Pink - Peach Echo', 'value' => 'peach-echo',),
array('name' => 'Pink - Peach Echo Plus', 'value' => 'peach-echo-plus',),
array('name' => 'Pink - Radiant Orchard', 'value' => 'radiant-orchard',),
array('name' => 'Pink - Radiant Orchard Plus', 'value' => 'radiant-orchard-plus',),
array('name' => 'Pink - Rose Quartz and Serenity', 'value' => 'rose-quartz-serenity',),
array('name' => 'Pink - Rose Quartz and Serenity Plus', 'value' => 'rose-quartz-serenity-plus',),
array('name' => 'Purple - Rebecca Purple', 'value' => 'rebecca-purple',),
array('name' => 'Purple - Rebecca Purple Plus', 'value' => 'rebecca-purple-plus',),
array('name' => 'Red - Aurora Red', 'value' => 'aurora-red',),
array('name' => 'Red - Aurora Red Plus', 'value' => 'aurora-red-plus',),
array('name' => 'Red - Big Dip O Ruby', 'value' => 'big-dip-o-ruby',),
array('name' => 'Red - Big Dip O Ruby Plus', 'value' => 'big-dip-o-ruby-plus',),
array('name' => 'Red - Dusty Cedar', 'value' => 'dusty-cedar',),
array('name' => 'Red - Dusty Cedar Plus', 'value' => 'dusty-cedar-plus',),
array('name' => 'Red - Fire Brick Red', 'value' => 'fire-brick-red',),
array('name' => 'Red - Fire Brick Red Plus', 'value' => 'fire-brick-red-plus',),
array('name' => 'Yellow - Mimosa', 'value' => 'mimosa',),
array('name' => 'Yellow - Mimosa Plus', 'value' => 'mimosa-plus',),
array('name' => 'Yellow - Spicy Mustard', 'value' => 'spicy-mustard',),
array('name' => 'Yellow - Spicy Mustard Plus', 'value' => 'spicy-mustard-plus',),
array('name' => 'White BG - Clean White n Hint of Blue', 'value' => 'clean-white-n-blue',),
array('name' => 'White BG - Clean White n Hint of Red', 'value' => 'clean-white-n-red',),
array('name' => 'White BG - Clean White n Hint of Rebecca Purple', 'value' => 'clean-white-n-rebecca-purple',),
array('name' => 'White BG - Clean White n Hint of Sea Green', 'value' => 'clean-white-n-sea-green',),
array('name' => 'Light BG - Light', 'value' => 'light',),
array('name' => 'Light BG - Light n Hint of Classic Blue', 'value' => 'light-n-classic-blue',),
array('name' => 'Light BG - Light n Hint of Marsala', 'value' => 'light-n-marsala',),
array('name' => 'Light BG - Light n Hint of Sinopia', 'value' => 'light-n-sinopia',),
array('name' => 'Light BG - Light n Hint of Treetop Green', 'value' => 'light-n-treetop',),
array('name' => 'Light BG - White n Red', 'value' => 'white-n-red',),
array('name' => 'Light Blue BG - White n Light Blue', 'value' => 'white-n-blue',),
array('name' => 'Dark Blue BG - White n Dark Blue', 'value' => 'white-n-dark-blue',),
array('name' => 'Marsala BG - White n Marsala', 'value' => 'white-n-marsala',),
array('name' => 'Dark BG - Dark', 'value' => 'dark',),
array('name' => 'Dark BG - Black n White', 'value' => 'black-n-white',),
array('name' => 'Dark BG - Black n Blue', 'value' => 'black-n-blue',),
array('name' => 'Dark BG - Black n Red', 'value' => 'black-n-red',),
array('name' => 'Dark BG - Black n Green', 'value' => 'black-n-green',),
array('name' => 'Dark BG - Neon Green', 'value' => 'neon-green',),
array('name' => 'Dark BG - Neon Pink', 'value' => 'neon-pink',),
array('name' => 'Dark BG - Neon Purple', 'value' => 'neon-purple',),
array('name' => 'Dark BG - Neon Red', 'value' => 'neon-red',),
array('name' => 'Dark BG - Neon Yellow', 'value' => 'neon-yellow',),
array('name' => 'Dark BG - Charcoal n Orange', 'value' => 'charcoal-n-orange',),
array('name' => 'Dark BG - 50 Shades of Grey', 'value' => 'shades-grey',),
array('name' => 'Dark BG - Cyan vs Gray', 'value' => 'cyan-vs-gray',),
array('name' => 'Dark BG - Midnight Slate', 'value' => 'midnight-slate',),
array('name' => 'Blue BG - Blue Door Tones by Marie', 'value' => 'blue-door-tones',),
array('name' => 'Blue BG - Night Sky by Marie', 'value' => 'night-sky',),
array('name' => 'Brown BG - Coffee Cup', 'value' => 'coffee-cup',),
array('name' => 'Green BG - Green Tea Tones by Marie', 'value' => 'green-tea-tones',),
array('name' => 'Light BG - Fresh n Green by Marie', 'value' => 'fresh-n-green',),
array('name' => 'Yellow BG - Celebrate by Marie', 'value' => 'celebrate',),
array('name' => 'Blue - The Tale of Peter Rabbit', 'value' => 'pb-tale-of-peter-rabbit',),
array('name' => 'Blue - The Tale of Peter Rabbit Plus', 'value' => 'pb-tale-of-peter-rabbit-plus',),
array('name' => 'Brown BG - PB I Want My Hat Back', 'value' => 'pb-i-want-my-hat-back',),
array('name' => 'Brown BG - PB I Want My Hat Back Plus', 'value' => 'pb-i-want-my-hat-back-plus',),
array('name' => 'Basic Defaults - Light BG - Blue n Red Links', 'value' => 'basic-defaults',),
array('name' => 'Custom 01', 'value' => 'custom-01',),
array('name' => 'Custom 02', 'value' => 'custom-02',),
array('name' => 'Custom 03', 'value' => 'custom-03',),
array('name' => 'Custom 04', 'value' => 'custom-04',),
array('name' => 'Custom 05', 'value' => 'custom-05',),
);
if (function_exists('stc_child_colours')) {
$st_colour_array_ch = stc_child_colours();
} else {
$st_colour_array_ch = array(
array('name' => '', 'value' => ' ',),
);
}
$st_colour_result = array_merge($st_colour_array, $st_colour_array_ch);

$st_stheader_array = array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Arty 2', 'value' => 'arty2-st.jpg',),
array('name' => 'Business 1', 'value' => 'business1-st.jpg',),
array('name' => 'Money 100 Dollars', 'value' => '20.gif',),
array('name' => 'Orange Flower', 'value' => '1.jpg',),
array('name' => 'Twenty Eleven', 'value' => '26.jpg',),
array('name' => 'custom 1 jpg', 'value' => 'c1.jpg',),
array('name' => 'custom 2 jpg', 'value' => 'c2.jpg',),
array('name' => 'custom 3 jpg', 'value' => 'c3.jpg',),
array('name' => 'custom 4 jpg', 'value' => 'c4.jpg',),
array('name' => 'custom 5 jpg', 'value' => 'c5.jpg',),
array('name' => 'custom 1 gif', 'value' => 'c1.gif',),
array('name' => 'custom 2 gif', 'value' => 'c2.gif',),
array('name' => 'custom 3 gif', 'value' => 'c3.gif',),
array('name' => 'custom 4 gif', 'value' => 'c4.gif',),
array('name' => 'custom 5 gif', 'value' => 'c5.gif',),
array('name' => 'custom 1 png', 'value' => 'c1.png',),
array('name' => 'custom 2 png', 'value' => 'c2.png',),
array('name' => 'custom 3 png', 'value' => 'c3.png',),
array('name' => 'custom 4 png', 'value' => 'c4.png',),
array('name' => 'custom 5 png', 'value' => 'c5.png',),
);
if (function_exists('stc_child_stheader')) {
$st_stheader_array_ch = stc_child_stheader();
} else {
$st_stheader_array_ch = array(
array('name' => '', 'value' => ' ',),
);
}
$st_stheader_result = array_merge($st_stheader_array, $st_stheader_array_ch);

$st_2011header_array = array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Business', 'value' => 'business-st',),
array('name' => 'Custom 01', 'value' => 'custom-01',),
array('name' => 'Custom 02', 'value' => 'custom-02',),
array('name' => 'Custom 03', 'value' => 'custom-03',),
array('name' => 'Custom 04', 'value' => 'custom-04',),
array('name' => 'Custom 05', 'value' => 'custom-05',),
array('name' => 'Custom 06', 'value' => 'custom-06',),
array('name' => 'Custom 07', 'value' => 'custom-07',),
array('name' => 'Custom 08', 'value' => 'custom-08',),
array('name' => 'Custom 09', 'value' => 'custom-09',),
array('name' => 'Custom 10', 'value' => 'custom-10',),
);
if (function_exists('stc_child_2011header')) {
$st_2011header_array_ch = stc_child_2011header();
} else {
$st_2011header_array_ch = array(
array('name' => '', 'value' => ' ',),
);
}
$st_2011header_result = array_merge($st_2011header_array, $st_2011header_array_ch);

// Start with an underscore to hide fields from custom fields list
$prefix = '';

$meta_boxes[] = array(
'id' => 'stallion_layout_ovride',
'title' => 'Stallion Override Options',
'pages' => array('post', 'page'), // Post type
'context' => 'normal',
'priority' => 'high',
'show_names' => true, // Show field names on the left
'fields' => array(
array(
'name' => 'Stallion Theme >> Layout Options Overrides',
'desc' => 'Override main options (found under Stallion Theme >> Layout Options) for this post only.',
'type' => 'title',
'id' => $prefix . 'stthumbtitle99',
),
array(
'name' => 'Sidebar Layout',
'desc' => 'Layout Options : Sidebar Layout for this Post.',
'id' => $prefix . 'st_meta_layout_or',
'type' => 'select',
'options' => $st_layout_result,
),
array(
'name' => 'Post Excerpt or Full Content',
'desc' => 'Layout Options : Post Excerpt or Full Content for this Post.',
'id' => $prefix . 'st_parchive_excerpt_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Show Post Excerpt on Archives', 'value' => '0',),
array('name' => 'Show Full Post Content on Archives', 'value' => '1',),
array('name' => 'Hide Post Excerpt/Content on Archives', 'value' => '2',),
),
),
array(
'name' => 'Stallion 2011 Header Area',
'desc' => 'Layout Options : Stallion 2011 Header Area for this Post.',
'id' => $prefix . 'st_header_2011_activate_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Activate 2011 Header Area Image Below Title', 'value' => '1',),
array('name' => 'Activate 2011 Header Area Image Above Title', 'value' => '2',),
array('name' => 'Activate 2011 Header Area Title Hoverover Image', 'value' => '3',),
array('name' => 'Deactivate 2011 Header Area', 'value' => '0',),
),
),
array(
'name' => 'Stallion 2011 Header Image Align',
'desc' => 'Layout Options : Stallion 2011 Header Image Align for this Post.',
'id' => $prefix . 'st_header_2011_images_align_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Align Left', 'value' => 'align-left',),
array('name' => 'Align Right', 'value' => 'align-right',),
array('name' => 'Align Center', 'value' => 'align-center',),
),
),
array(
'name' => '2011 Title Link Area',
'desc' => 'Layout Options : 2011 Title Link Area for this Post.',
'id' => $prefix . 'st_header_2011_title_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => '2011 Title Link Area ON', 'value' => '1',),
array('name' => '2011 Title Link Area OFF', 'value' => '0',),
),
),
array(
'name' => 'Alternative Stallion Header Area',
'desc' => 'Layout Options : Alternative Stallion Header Area for this Post.',
'id' => $prefix . 'st_header_alt_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Show Alternative Header Area', 'value' => '1',),
array('name' => 'Hide Alternative Header Area', 'value' => '0',),
),
),
array(
'name' => 'Alternative Site Title Link',
'desc' => 'Layout Options : Alternative Site Title Link for this Post.',
'id' => $prefix . 'st_header_alt_title_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Alternative Site Title Link ON', 'value' => '1',),
array('name' => 'Alternative Site Title Link OFF', 'value' => '0',),
),
),
array(
'name' => 'Location of Sites TagLine',
'desc' => 'Layout Options : Location of Sites TagLine for this Post.',
'id' => $prefix . 'st_tagline_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Header: Below Site Title', 'value' => '1',),
array('name' => 'Footer: Above Copyright Notice', 'value' => '0',),
array('name' => 'Hide Tagline', 'value' => '2',),
),
),
array(
'name' => 'Search Form',
'desc' => 'Layout Options : Search Form for this Post.',
'id' => $prefix . 'st_search_form_hide_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Search Form ON', 'value' => '1',),
array('name' => 'Search Form OFF', 'value' => '0',),
),
),
array(
'name' => 'Link H1 Heading to Self',
'desc' => 'Layout Options : Link H1 Heading to Self for this Post.',
'id' => $prefix . 'st_link_h1_self_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Link H1 Heading to Self ON', 'value' => '1',),
array('name' => 'Link H1 Heading to Self OFF', 'value' => '0',),
),
),
array(
'name' => 'Meta Date Area',
'desc' => 'Layout Options : Meta Date Area for this Post.',
'id' => $prefix . 'st_meta_date_area_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Above Content', 'value' => '1',),
array('name' => 'Below Content', 'value' => '2',),
array('name' => 'Meta Date Area OFF', 'value' => '3',),
),
),
array(
'name' => 'Author Archives Link',
'desc' => 'Layout Options : Author Archives Link for this Post.',
'id' => $prefix . 'st_author_link_hide_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Author Archives Link ON', 'value' => '1',),
array('name' => 'Author Archives Link OFF - Show Author Name', 'value' => '2',),
array('name' => 'Author Archives Link OFF', 'value' => '0',),
),
),
array(
'name' => 'Post or Page Dates',
'desc' => 'Layout Options : Post or Page Date for this Post.',
'id' => $prefix . 'st_post_dates_hide_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Post Dates ON', 'value' => '1',),
array('name' => 'Post Dates OFF', 'value' => '0',),
),
),
array(
'name' => 'Category Links',
'desc' => 'Layout Options : Category Links for this Post.',
'id' => $prefix . 'st_category_link_hide_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Category Links ON', 'value' => '1',),
array('name' => 'Category Links OFF', 'value' => '0',),
),
),
array(
'name' => 'Continue Reading Links',
'desc' => 'Layout Options : Continue Reading Links for this Post.',
'id' => $prefix . 'st_continue_reading_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Continue Reading Links ON', 'value' => '1',),
array('name' => 'Continue Reading Links OFF', 'value' => '0',),
),
),
array(
'name' => 'Tags Visibility',
'desc' => 'Layout Options : Tags Visibility for this Post.',
'id' => $prefix . 'st_post_tags_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Show Tags On Archives + Show On Post', 'value' => '1',),
array('name' => 'Hide Tags On Archives + Show On Post', 'value' => '0',),
array('name' => 'Show Tags On Archives + Hide On Post', 'value' => '2',),
array('name' => 'Hide Tags On Archives + Hide On Post', 'value' => '3',),
),
),
array(
'name' => 'Author Biography',
'desc' => 'Layout Options : Author Biography for this Post.',
'id' => $prefix . 'st_author_bio_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Author Biography ON', 'value' => '1',),
array('name' => 'Author Biography OFF', 'value' => '0',),
),
),
array(
'name' => 'Comment Gravatars',
'desc' => 'Layout Options : Comment Gravatars for this Post.',
'id' => $prefix . 'st_comment_gravatars_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Comment Gravatars ON', 'value' => '1',),
array('name' => 'Comment Gravatars OFF', 'value' => '0',),
),
),
array(
'name' => 'Comment Dates',
'desc' => 'Layout Options : Comment Dates for this Post.',
'id' => $prefix . 'st_commentst_post_dates_hide_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Comment Dates ON', 'value' => '1',),
array('name' => 'Comment Dates OFF', 'value' => '0',),
),
),
array(
'name' => 'Comment Button Link',
'desc' => 'Layout Options : Comment Button Link for this Post.',
'id' => $prefix . 'st_commentlink_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Comment Button Non-Clickable ON', 'value' => '2',),
array('name' => 'Comment Button Clickable Link ON', 'value' => '1',),
array('name' => 'Comment Button OFF', 'value' => '0',),
),
),
array(
'name' => 'Content Widget Area Alignment',
'desc' => 'Layout Options : Content Widget Area Alignment for this Post.',
'id' => $prefix . 'st_content_widget_align_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'No Float', 'value' => 'align-left',),
array('name' => 'Float Left', 'value' => 'floatleft',),
array('name' => 'Float Right', 'value' => 'floatright',),
),
),
array(
'name' => 'Scroll Top/Bottom Arrows',
'desc' => 'Layout Options : Scroll Top/Bottom Arrows for this Post.',
'id' => $prefix . 'st_scroll_links_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Bottom Right Corner', 'value' => 'right',),
array('name' => 'Bottom Left Corner', 'value' => 'left',),
array('name' => 'Hide', 'value' => 'hide',),
),
),
array(
'name' => 'Stallion Photo Navigation Menu',
'desc' => 'Layout Options : Stallion Photo Navigation Menu for this Post.',
'id' => $prefix . 'st_nav_menu_photo_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Photo Navigation Menu ON', 'value' => '1',),
array('name' => 'Photo Navigation Menu OFF', 'value' => '0',),
),
),
array(
'name' => 'Navigation Menu Primary',
'desc' => 'Layout Options : Navigation Menu Primary for this Post.',
'id' => $prefix . 'st_nav_menu_on_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Navigation Menu ON', 'value' => '1',),
array('name' => 'Navigation Menu OFF', 'value' => '0',),
),
),
array(
'name' => 'Navigation Menu Secondary',
'desc' => 'Layout Options : Navigation Menu Secondary for this Post.',
'id' => $prefix . 'st_nav_menu_on2_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Secondary Navigation Menu ON', 'value' => '1',),
array('name' => 'Secondary Navigation Menu Fixed to Top ON', 'value' => '2',),
array('name' => 'Secondary Navigation Menu OFF', 'value' => '0',),
),
),
array(
'name' => 'Stallion Theme >> Color Options Overrides',
'desc' => 'Override main options (found under Stallion Theme >> Color Options) for this post only.',
'type' => 'title',
'id' => $prefix . 'stthumbtitle99',
),
array(
'name' => 'Stallion Theme Font Scheme',
'desc' => 'Color Options : Stallion Theme Font Scheme for this Post.',
'id' => $prefix . 'st_meta_font_or',
'type' => 'select',
'options' => $st_font_result,
),
array(
'name' => 'Stallion Theme Color Scheme',
'desc' => 'Color Options : Stallion Theme Color Scheme for this Post.',
'id' => $prefix . 'st_meta_colour_or',
'type' => 'select',
'options' => $st_colour_result,
),
array(
'name' => 'Stallion 2011 Header Image Sets',
'desc' => 'Color Options : Stallion 2011 Header Image Sets for this Post. Note only works with the Random setting under Appearance >> Headers, one of eight random headers will show from the above set.',
'id' => $prefix . 'st_meta_2011header_or',
'type' => 'select',
'options' => $st_2011header_result,
),
array(
'name' => 'Alternative Stallion Header Area Header Image On/Off',
'desc' => 'Color Options : Alternative Stallion Header Area Header Image On/Off for this Post.',
'id' => $prefix . 'st_header_bg_on_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Alternative Stallion Header Area Header Image ON', 'value' => '1',),
array('name' => 'Alternative Stallion Header Area Header Image OFF', 'value' => '0',),
),
),
array(
'name' => 'Alternative Stallion Header Area Header Image',
'desc' => 'Color Options : Alternative Stallion Header Area Header Image for this Post.',
'id' => $prefix . 'st_meta_header_or',
'type' => 'select',
'options' => $st_stheader_result,
),
array(
'name' => 'Stallion Theme >> Promotion Options Overrides',
'desc' => 'Override main options (found under Stallion Theme >> Promotion Options) for this post only.',
'type' => 'title',
'id' => $prefix . 'stthumbtitle99',
),
array(
'name' => 'Social Networking Buttons',
'desc' => 'Promotion Options : Social Networking Buttons for this Post.',
'id' => $prefix . 'st_social_network_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Turn Buttons ON Top of Content', 'value' => '1',),
array('name' => 'Turn Buttons ON Bottom of Content', 'value' => '2',),
array('name' => 'Turn Buttons ON Top of Page Fixed', 'value' => '3',),
array('name' => 'Turn Buttons ON Bottom of Page Fixed', 'value' => '4',),
array('name' => 'Turn Buttons OFF', 'value' => '0',),
),
),
array(
'name' => 'Stallion Theme >> SEO Advanced Options Overrides',
'desc' => 'Override main options (found under Stallion Theme >> SEO Advanced Options) for this post only.',
'type' => 'title',
'id' => $prefix . 'stthumbtitle99',
),
array(
'name' => 'Cloak Affiliate Links',
'desc' => 'SEO Advanced Options : Cloak Affiliate Links for this Post.',
'id' => $prefix . 'st_cloak_links_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Cloak Affiliate Links JS File ON', 'value' => '1',),
array('name' => 'Cloak Affiliate Links Inline JS ON', 'value' => '2',),
array('name' => 'Cloak Affiliate Links OFF', 'value' => '0',),
),
),
array(
'name' => 'SEO Super Comments',
'desc' => 'SEO Advanced Options : SEO Super Comments for this Post.',
'id' => $prefix . 'st_super_comments_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'SEO Comments ON', 'value' => '1',),
array('name' => 'SEO Comments OFF', 'value' => '0',),
),
),
),
);
return $meta_boxes;
}

add_action('init', 'stallion_layout_meta_post_init', 9989);

/**
 * Initialize the metabox class.
 */
function stallion_layout_meta_post_init() {
if (!class_exists('cmb_Meta_Box'))
require_once 'init.php';
}
?>
<?php function st_meta_layout_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_layout_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_layout_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = stct_sidebar_lo();
endif; 
return $st_metadataout;
}
?>
<?php function st_parchive_excerpt_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_parchive_excerpt_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_parchive_excerpt_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_parchive_excerpt();
endif; 
return $st_metadataout;
}
?>
<?php function st_header_2011_activate_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_header_2011_activate_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_header_2011_activate_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_header_2011_activate();
endif; 
return $st_metadataout;
}
?>
<?php function st_header_2011_images_align_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_header_2011_images_align_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_header_2011_images_align_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_header_2011_images_align();
endif; 
return $st_metadataout;
}
?>
<?php function st_header_2011_title_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_header_2011_title_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_header_2011_title_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_header_2011_title();
endif; 
return $st_metadataout;
}
?>
<?php function st_header_alt_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_header_alt_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_header_alt_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_header_alt();
endif; 
return $st_metadataout;
}
?>
<?php function st_header_alt_title_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_header_alt_title_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_header_alt_title_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_header_alt_title();
endif; 
return $st_metadataout;
}
?>
<?php function st_tagline_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_tagline_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_tagline_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_tagline();
endif; 
return $st_metadataout;
}
?>
<?php function st_search_form_hide_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_search_form_hide_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_search_form_hide_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_search_form_hide();
endif; 
return $st_metadataout;
}
?>
<?php function st_link_h1_self_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_link_h1_self_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_link_h1_self_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_link_h1_self();
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_date_area_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_meta_date_area_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_date_area_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_meta_date_area();
endif; 
return $st_metadataout;
}
?>
<?php function st_author_link_hide_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_author_link_hide_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_author_link_hide_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_author_link_hide();
endif; 
return $st_metadataout;
}
?>
<?php function st_post_dates_hide_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_post_dates_hide_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_post_dates_hide_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_post_dates_hide();
endif; 
return $st_metadataout;
}
?>
<?php function st_page_dates_hide_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_post_dates_hide_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_post_dates_hide_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_page_dates_hide();
endif; 
return $st_metadataout;
}
?>
<?php function st_category_link_hide_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_category_link_hide_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_category_link_hide_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_category_link_hide();
endif; 
return $st_metadataout;
}
?>
<?php function st_continue_reading_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_continue_reading_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_continue_reading_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_continue_reading();
endif; 
return $st_metadataout;
}
?>
<?php function st_post_tags_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_post_tags_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_post_tags_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_post_tags();
endif; 
return $st_metadataout;
}
?>
<?php function st_author_bio_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_author_bio_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_author_bio_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_author_bio();
endif; 
return $st_metadataout;
}
?>
<?php function st_comment_gravatars_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_comment_gravatars_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_comment_gravatars_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_comment_gravatars();
endif; 
return $st_metadataout;
}
?>
<?php function st_commentst_post_dates_hide_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_commentst_post_dates_hide_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_commentst_post_dates_hide_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_commentst_post_dates_hide();
endif; 
return $st_metadataout;
}
?>
<?php function st_commentlink_ors() {
$st_metadata = null;
if (get_post_meta(get_the_ID(), 'st_commentlink_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_commentlink_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_commentlink();
endif; 
return $st_metadataout;
}
?>
<?php function st_content_widget_align_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_content_widget_align_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_content_widget_align_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_content_widget_align();
endif; 
return $st_metadataout;
}
?>
<?php function st_scroll_links_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_scroll_links_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_scroll_links_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_scroll_links();
endif; 
return $st_metadataout;
}
?>
<?php function st_nav_menu_photo_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_nav_menu_photo_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_nav_menu_photo_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_nav_menu_photo();
endif; 
return $st_metadataout;
}
?>
<?php function st_nav_menu_on_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_nav_menu_on_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_nav_menu_on_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_nav_menu_on();
endif; 
return $st_metadataout;
}
?>
<?php function st_nav_menu_on2_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_nav_menu_on2_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_nav_menu_on2_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_nav_menu_on2();
endif; 
return $st_metadataout;
}
?>
<?php function st_header_bg_on_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_header_bg_on_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_header_bg_on_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_header_bg_on();
endif; 
return $st_metadataout;
}
?>
<?php function st_social_network_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_social_network_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_social_network_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_social_network();
endif; 
return $st_metadataout;
}
?>
<?php function st_cloak_links_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_cloak_links_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_cloak_links_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_cloak_links();
endif; 
return $st_metadataout;
}
?>
<?php function st_super_comments_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_super_comments_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_super_comments_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_super_comments();
endif; 
return $st_metadataout;
}
?>
<?php add_filter('cmb_meta_boxes', 'stallion_ads_meta_post');
function stallion_ads_meta_post(array $meta_boxes) {
$prefix = '';
$meta_boxes[] = array(
'id' => 'stallion_ads_ovride',
'title' => 'Stallion Ads Options',
'pages' => array('post', 'page'), // Post type
'context' => 'normal',
'priority' => 'high',
'show_names' => true, // Show field names on the left
'fields' => array(

array(
'name' => 'Disable All Ads',
'desc' => 'Disable all AdSense and all Chitika Ads for this Post.',
'id' => $prefix . 'st_meta_adsoff_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'All Ads Off', 'value' => 'off',),
),
),
array(
'name' => 'Stallion Theme >> AdSense Ad Options Overrides',
'desc' => 'Override main options (found under Stallion Theme >> AdSense Ad Options) for this post only.',
'type' => 'title',
'id' => $prefix . 'stthumbtitle99',
),
array(
'name' => 'AdSense For Search Widget',
'desc' => 'AdSense Options : AdSense For Search Widget for this Post.',
'id' => $prefix . 'st_googlesearch_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'OFF', 'value' => '0',),
),
),
array(
'name' => 'AdSense Ad Unit 1',
'desc' => 'AdSense Options : Main Content Ad Unit : Ad Unit 1 for this Post.',
'id' => $prefix . 'st_adsense_con1_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'ON', 'value' => '0',),
array('name' => 'OFF', 'value' => '1',),
),
),
array(
'name' => 'Main Ad Float Posts',
'desc' => 'AdSense Options : Main Ad Float Posts for this Post.',
'id' => $prefix . 'st_adsense_float_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'Float Right', 'value' => 'fadright',),
array('name' => 'Float Left', 'value' => 'fadleft',),
array('name' => 'Align Center', 'value' => 'align-center',),
array('name' => 'No Alignment', 'value' => 'stadsense01',),
),
),
array(
'name' => 'AdSense Ad Unit 2',
'desc' => 'AdSense Options : Movable Content Ad Unit : Ad Unit 2 for this Post.',
'id' => $prefix . 'st_adsense_con3_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'ON', 'value' => '0',),
array('name' => 'OFF', 'value' => '1',),
),
),
array(
'name' => 'AdSense Ad Unit 3',
'desc' => 'AdSense Options : Sidebar Content Ad Unit : Ad Unit 3 for this Post.',
'id' => $prefix . 'st_adsense_con2_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'ON', 'value' => '0',),
array('name' => 'OFF', 'value' => '1',),
),
),
array(
'name' => 'AdSense Ad Unit 3x',
'desc' => 'AdSense Options : Sidebar Content Ad Unit Extra : Ad Unit 3x for this Post.',
'id' => $prefix . 'st_adsense_con7_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'ON', 'value' => '0',),
array('name' => 'OFF', 'value' => '1',),
),
),
array(
'name' => 'AdSense Ad Unit 4',
'desc' => 'AdSense Options : Top Link Ad : Ad Unit 4 for this Post.',
'id' => $prefix . 'st_adsense_lnk4_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'ON', 'value' => '0',),
array('name' => 'OFF', 'value' => '1',),
),
),
array(
'name' => 'AdSense Ad Unit 5',
'desc' => 'AdSense Options : Bottom Link Ad Unit : Ad Unit 5 for this Post.',
'id' => $prefix . 'st_adsense_lnk6_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'ON', 'value' => '0',),
array('name' => 'OFF', 'value' => '1',),
),
),
array(
'name' => 'AdSense Ad Unit 6',
'desc' => 'AdSense Options : Sidebar Link Ad Unit : Ad Unit 6 for this Post.',
'id' => $prefix . 'st_adsense_lnk5_or',
'type' => 'select',
'options' => array(
array('name' => 'Default', 'value' => '',),
array('name' => 'ON', 'value' => '0',),
array('name' => 'OFF', 'value' => '1',),
),
),

),
);
return $meta_boxes;
}
add_action('init', 'stallion_ads_meta_post_init', 9990);
/**
 * Initialize the metabox class.
 */
function stallion_ads_meta_post_init() {
if (!class_exists('cmb_Meta_Box'))
require_once 'init.php';
}
?>
<?php function stmetaadsoffor() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_adsoff_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_adsoff_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_googlesearch_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_googlesearch_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_googlesearch_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '1';
endif; 
return $st_metadataout;
}
?>
<?php function st_adsense_con1_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_adsense_con1_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_adsense_con1_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_adsense_con1();
endif; 
return $st_metadataout;
}
?>
<?php function st_adsense_float_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_adsense_float_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_adsense_float_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_adsense_float();
endif; 
return $st_metadataout;
}
?>
<?php function st_adsense_con3_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_adsense_con3_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_adsense_con3_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_adsense_con3();
endif; 
return $st_metadataout;
}
?>
<?php function st_adsense_con2_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_adsense_con2_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_adsense_con2_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_adsense_con2();
endif; 
return $st_metadataout;
}
?>
<?php function st_adsense_con7_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_adsense_con7_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_adsense_con7_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_adsense_con7();
endif; 
return $st_metadataout;
}
?>
<?php function st_adsense_lnk4_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_adsense_lnk4_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_adsense_lnk4_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_adsense_lnk4();
endif; 
return $st_metadataout;
}
?>
<?php function st_adsense_lnk6_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_adsense_lnk6_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_adsense_lnk6_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_adsense_lnk6();
endif; 
return $st_metadataout;
}
?>
<?php function st_adsense_lnk5_ors() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_adsense_lnk5_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_adsense_lnk5_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = st_adsense_lnk5();
endif; 
return $st_metadataout;
}
?>
<?php add_filter('cmb_meta_boxes', 'stallion_widget_meta_post');
function stallion_widget_meta_post(array $meta_boxes) {
$prefix = '';
$meta_boxes[] = array(
'id' => 'stallion_widget_ovride',
'title' => 'Hides All Widgets Within a Widget Area added under Appearance >> Widgets',
'pages' => array('post', 'page'), // Post type
'context' => 'normal',
'priority' => 'high',
'show_names' => true, // Show field names on the left
'fields' => array(
array(
'name' => 'Left Sidebar',
'desc' => 'Disable Left Sidebar Widget Area for this Post.',
'id' => $prefix . 'st_meta_leftsidebar_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Left Sidebar 2',
'desc' => 'Disable Left Sidebar 2 Widget Area for this Post.',
'id' => $prefix . 'st_meta_leftsidebar2_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Right Sidebar',
'desc' => 'Disable Right Sidebar Widget Area for this Post.',
'id' => $prefix . 'st_meta_rightsidebar_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Right Sidebar 2',
'desc' => 'Disable Right Sidebar 2 Widget Area for this Post.',
'id' => $prefix . 'st_meta_rightsidebar2_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Left Sidebar Top Left',
'desc' => 'Disable Left Sidebar Top Left Widget Area for this Post.',
'id' => $prefix . 'st_meta_leftsidebartleft_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Left Sidebar Top Right',
'desc' => 'Disable Left Sidebar Top Right Widget Area for this Post.',
'id' => $prefix . 'st_meta_leftsidebartright_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Left Sidebar Bottom Left',
'desc' => 'Disable Left Sidebar Bottom Left Widget Area for this Post.',
'id' => $prefix . 'st_meta_leftsidebarbleft_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Left Sidebar Bottom Right',
'desc' => 'Disable Left Sidebar Bottom Right Widget Area for this Post.',
'id' => $prefix . 'st_meta_leftsidebarbright_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Right Sidebar Top Left',
'desc' => 'Disable Right Sidebar Top Left Widget Area for this Post.',
'id' => $prefix . 'st_meta_rightsidebartleft_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Right Sidebar Top Right',
'desc' => 'Disable Right Sidebar Top Right Widget Area for this Post.',
'id' => $prefix . 'st_meta_rightsidebartright_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Right Sidebar Bottom Left',
'desc' => 'Disable Right Sidebar Bottom Left Widget Area for this Post.',
'id' => $prefix . 'st_meta_rightsidebarbleft_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Right Sidebar Bottom Right',
'desc' => 'Disable Right Sidebar Bottom Right Widget Area for this Post.',
'id' => $prefix . 'st_meta_rightsidebarbright_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),

array(
'name' => 'First Footer',
'desc' => 'Disable First Footer Widget Area for this Post.',
'id' => $prefix . 'st_meta_firstfooter_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Second Footer',
'desc' => 'Disable Second Footer Widget Area for this Post.',
'id' => $prefix . 'st_meta_secondfooter_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Third Footer',
'desc' => 'Disable Third Footer Widget Area for this Post.',
'id' => $prefix . 'st_meta_thirdfooter_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Fourth Footer',
'desc' => 'Disable Fourth Footer Widget Area for this Post.',
'id' => $prefix . 'st_meta_fourthfooter_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Below Main Footer',
'desc' => 'Disable Below Main Footer Widget Area for this Post.',
'id' => $prefix . 'st_meta_fifthfooter_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Below Footer Copyright Notice',
'desc' => 'Disable Below Footer Copyright Notice Widget Area for this Post.',
'id' => $prefix . 'st_meta_sixthfooter_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Above Header',
'desc' => 'Disable Above Header Widget Area for this Post.',
'id' => $prefix . 'st_meta_aboveheader_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Within/Over Header',
'desc' => 'Disable Within/Over Header Widget Area for this Post.',
'id' => $prefix . 'st_meta_overhead_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Below Header 1',
'desc' => 'Disable Below Header Widget Area 1 for this Post.',
'id' => $prefix . 'st_meta_belowhead1_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Below Header 2',
'desc' => 'Disable Below Header Widget Area 2 for this Post.',
'id' => $prefix . 'st_meta_belowhead2_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Below Banner Image',
'desc' => 'Disable Below Banner Image Widget Area for this Post.',
'id' => $prefix . 'st_meta_bannerwidget_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Floating Content',
'desc' => 'Disable Floating Content Widget Area for this Post.',
'id' => $prefix . 'st_meta_contentwidget_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),
array(
'name' => 'Bottom of Blog Posts and Static Pages',
'desc' => 'Disable Bottom of Blog Posts and Static Pages Widget Area for this Post.',
'id' => $prefix . 'st_meta_bottomcontentwidget_or',
'type' => 'select',
'options' => array(
array('name' => 'Enable', 'value' => '',),
array('name' => 'Disable', 'value' => '0',),
),
),

),
);
return $meta_boxes;
}

add_action('init', 'stallion_widget_meta_post_init', 9990);

/**
 * Initialize the metabox class.
 */
function stallion_widget_meta_post_init() {
if (!class_exists('cmb_Meta_Box'))
require_once 'init.php';
}
?>
<?php function st_meta_leftsidebar() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_leftsidebar_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_leftsidebar_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_leftsidebar2() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_leftsidebar2_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_leftsidebar2_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_rightsidebar() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_rightsidebar_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_rightsidebar_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_rightsidebar2() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_rightsidebar2_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_rightsidebar2_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_leftsidebartleft() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_leftsidebartleft_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_leftsidebartleft_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_leftsidebartright() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_leftsidebartright_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_leftsidebartright_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_leftsidebarbleft() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_leftsidebarbleft_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_leftsidebarbleft_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_leftsidebarbright() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_leftsidebarbright_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_leftsidebarbright_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_rightsidebartleft() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_rightsidebartleft_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_rightsidebartleft_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_rightsidebartright() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_rightsidebartright_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_rightsidebartright_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_rightsidebarbleft() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_rightsidebarbleft_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_rightsidebarbleft_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_rightsidebarbright() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_rightsidebarbright_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_rightsidebarbright_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_firstfooter() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_firstfooter_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_firstfooter_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_secondfooter() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_secondfooter_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_secondfooter_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_thirdfooter() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_thirdfooter_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_thirdfooter_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_fourthfooter() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_fourthfooter_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_fourthfooter_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_fifthfooter() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_fifthfooter_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_fifthfooter_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_sixthfooter() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_sixthfooter_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_sixthfooter_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_aboveheader() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_aboveheader_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_aboveheader_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_overhead() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_overhead_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_overhead_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_belowhead1() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_belowhead1_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_belowhead1_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_belowhead2() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_belowhead2_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_belowhead2_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_bannerwidget() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_bannerwidget_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_bannerwidget_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_contentwidget() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_contentwidget_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_contentwidget_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>
<?php function st_meta_bottomcontentwidget() {
$st_metadata = null;
if (is_singular() && get_post_meta(get_the_ID(), 'st_meta_bottomcontentwidget_or', true) != '') {
$st_metadata = get_post_meta(get_the_ID(), 'st_meta_bottomcontentwidget_or', true);
}
if (!is_null($st_metadata)) :
$st_metadataout = $st_metadata;
else :
$st_metadataout = '';
endif; 
return $st_metadataout;
}
?>