<?php
/*
  Template Name: Privacy Policy
 */
?>
<?php
if (function_exists('cat_temp_menus')) {
global $post, $id;
}
?>
<?php get_header(); ?>
<div id="content_all">
<div id="maincontent">

<div id="post-entry">
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>
<div class="post-meta" id="post-<?php the_ID(); ?>">

<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_ON--><?php } ?>
<?php get_template_part( 'layout/link_h1_self' ); ?>

<div class="post-date"><?php edit_post_link('Edit', '&#124; ', ''); ?></div>

<div class="post-content">
<?php if (st_social_network_ors() == '1') { ?><?php get_template_part( 'plugins/social-network' ); ?><?php } ?>
<?php if (st_kontera_on() == '1') { ?><div class="KonaBody"><?php } ?>

<?php global $cpage; if (!empty($cpage) && $cpage >= '1' && st_comment_paged_excerpt() == '1') { ?><?php the_excerpt(); ?>
<p class="clear"><?php echo st_lang_continue(); ?> <a class="contread" href="<?php the_permalink() ?><?php if (st_seo_plus() == '1') { ?>#contread<?php } ?>"><?php if (st_comment_paged_titles() == '1') : ?><?php st_paged_comments_titles(); ?><?php else : ?><?php the_title(); ?><?php endif; ?></a></p>
<?php } else { ?><?php the_content(); } ?>

<p>Privacy Policy for the Website <strong><?php
if (st_privacy_policy() == '2') {
echo esc_url($_SERVER['HTTP_REFERER']);
} else {
echo home_url();
}
?></strong></p>
<p>The privacy of our visitors is important to us.</p>
<p>We recognize that privacy of your personal information is important. Here is information on what forms of personal information we receive and collect when you use and visit our website, and how we safeguard your information. We never sell your personal information to third parties.</p>
<p><strong>Web Log Files</strong></p>
<p>As with most other websites, we collect and use the data contained in the sites log files. The information in the log files include your IP address, your ISP (internet service provider), the browser used to visit our site (such as Google Chrome or Firefox), the time you visited our site and which pages you visited. </p>
<p><strong>Cookies and Web Beacons</strong></p>
<p>We use cookies to store information, such as your personal preferences when you visit our site. This could include only showing you a popup once in your visit, or the ability to login to some of our features, such as commenting.</p>
<p><strong>DoubleClick DART Cookies</strong></p>
<p>We may use DART cookies for ad serving through Google&#8217;s DoubleClick, which places a cookie on your computer when you are browsing the web and visit a site using DoubleClick advertising (including some Google AdSense advertisements). This cookie is used to serve ads specific to you and your interests (&#8220;interest based targeting&#8221;). The ads served will be targeted based on your previous browsing history (For example, if you have been viewing sites about buying a new car, you may see car advertisements when viewing a non-related site, such as on a site about knitting). DART uses &#8220;non personally identifiable information&#8221;. It does NOT track personal information about you, such as your name, email address, physical address, telephone number, social security numbers, bank account numbers or credit card numbers. You can opt-out of this ad serving on all sites using this advertising by visiting http://www.doubleclick.com/privacy/dart_adserving.aspx </p>
<p><strong>Third Party Advertisements</strong></p>
<p>We may also use third party advertisements to support our website such as Google AdSense, Chitika, Clickbank, Kontera, Infolinks Some of these advertisers may use cookies and web beacons when they advertise on our site, which will also send these advertisers (such as Google through the Google AdSense program) information including your IP address, your ISP , the browser you used to visit our site, and in some cases, whether you have Flash installed. This is generally used for geotargeting purposes, for example showing London Restaurant ads to someone in London or showing relevant ads based on sites you have recently visited for example showing car ads to someone who visits car relevant websites.</p>
<p>You can disable or selectively turn off our cookies or third-party cookies in your browser settings, or by managing preferences in programs such as Norton Internet Security. However, this can affect how you are able to interact with our site as well as other websites. This could include the inability to login to services or programs, such as commenting.</p>

<p>End of Privacy Policy for the Website <strong><?php
if (st_privacy_policy() == '2') {
echo esc_url($_SERVER['HTTP_REFERER']);
} else {
echo home_url();
}
?></strong></p>

<div class="clear"></div>
<?php if (st_kontera_on() == '1') { ?></div><?php } ?>

<?php if (st_infolinks_on() == '1') { ?><!--INFOLINKS_OFF--><?php } ?>

<?php if (st_social_network_ors() == '2') { ?><?php get_template_part( 'plugins/social-network' ); ?>
<div class="clear"></div><?php } ?>

</div>

</div>

<?php endwhile; ?>

<div class="divpadding"></div>

<?php else: ?>

<h1>Sorry The Page Has Been Removed</h1>

<?php endif; ?>

</div>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>