<?php

/* Get an array of colors from the image */
function drc_get_colors( $src, $safe ) {
	if( !$src ) {
		$tmp=array();
		return $tmp;
	} else {
		return gd2_get_colors( $src, $safe );
	}
}

function gd2_get_colors( $imgurl, $safe ) {
get_template_part( 'plugins/colors_css/colors.inc' );
#	include_once(STYLESHEETPATH ."/includes/color/colors.inc.php");
	$ex=new GetMostCommonColors();
	$ex->image=$imgurl;
	$get_colors=$ex->Get_Color();
	$how_many=20;
	$colors_key1=array_keys($get_colors);
	$colors_key=array();
	$greys=array();
	foreach( $colors_key1 as $color ) { 
		if( substr($color,0,2) == substr($color,2,2) && substr($color,2,2) == substr($color,4,2) ) { 
		   if( count( $greys )  <= $how_many-1 ) $greys[]=$color;
		}else {
		   if( count( $colors_key )  <= $how_many-1 ) $colors_key[]=$color;		
		}   
	}  

	/* Load our colors into a smaller array */
	for ($i = 0; $i <= $how_many-1; $i++) {
#		$colors[$i] = $colors_key[$i];
#		$colorArray['average'][$i] = $colors_key[$i];
		$colors[$i] = @$colors_key[$i];
		$colorArray['average'][$i] = @$colors_key[$i];
	}
get_template_part( 'plugins/colors_css/colorchip' );
#	include_once(STYLESHEETPATH ."/includes/color/colorchip.php");
	
	/* Add Bright Colors to Array */
	for ($i = 0; $i <= $how_many-1; $i++) {
		$color2 = new ColorChip( $colors[$i], null, null, CC_HEX );
		$color2->adjRed(30);
		$color2->adjGreen(30);
		$color2->adjBlue(30);
		if( $safe ) $webSafe = $color2->getNearestWebSafe();
		$colorArray['bright'][$i] = $color2->hex;
	}
	
	/* Add Dark Colors to Array */
	for ($i = 0; $i <= $how_many-1; $i++) {
		$color2 = new ColorChip( $colors[$i], null, null, CC_HEX );
		$color2->adjRed(-30);
		$color2->adjGreen(-30);
		$color2->adjBlue(-30);
		if( $safe ) $webSafe = $color2->getNearestWebSafe();
		$colorArray['dark'][$i] = $color2->hex;
	}

	/* Add complementary Colors to Array */
	for ($i = 0; $i <= $how_many-1; $i++) {
		$color2 = new ColorChip( $colors[$i], null, null, CC_HEX );
		$color2->adjHue(179);
		if( $safe ) $webSafe = $color2->getNearestWebSafe();
		$colorArray['complementary'][$i] = $color2->hex;
	}
	
	/* Add complementary Colors to Array */
	for ($i = 0; $i <= $how_many-1; $i++) {
		if ( isset( $greys[$i] ) ) $colorArray['greys'][$i] = $greys[$i];
	}
	return $colorArray;
}
?>