<?php 
// Build the dynamic stylesheet
function str_theme_color_styles( $styles ) {
 global $color_options;
$color_options = st_color_options();
$color_scheme = 'dark';
$css = "";
################################################################################
################################################################################
/* -Body */
if(
( $styles['color-1'] && !str_default_color( 1, $styles['color-1'] )) || 
( $styles['color-32'] && !str_default_color( 32, $styles['color-32'] )) || 
( $styles['color-655'] && !str_default_color( 655, $styles['color-655'] )) ) {
$value=$color_options[1];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-1'] && !str_default_color( 1, $styles['color-1'] )) ) {
$col1=$styles['color-1'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
if(
( $styles['color-2'] && !str_default_color( 2, $styles['color-2'] )) ) {
$col2=$styles['color-2'];
$css = $css ."\t" .'background: -moz-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -o-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -webkit-gradient(linear, left top, left bottom, from('.$col1.'), to('.$col2.'));' ."\n";
$css = $css ."\t" .'background: -webkit-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -ms-linear-gradient(top, '.$col1.' 0%, '.$col2.' 100%);' ."\n";
$css = $css ."\t" .'filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=\''.$col1.'\', endColorstr=\''.$col2.'\',GradientType=0 );' ."\n";
$css = $css ."\t" .'-ms-filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=\''.$col1.'\', endColorstr=\''.$col2.'\',GradientType=0 );' ."\n";
}
}
if(
( $styles['color-32'] && !str_default_color( 32, $styles['color-32'] )) ) {
$col3=$styles['color-32'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if( $styles['color-655'] && !str_default_color( 655, $styles['color-655'] )) {
$css = $css .'font: '. $styles['color-655'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Inner Background #wrap_stallion */
if(
( $styles['color-5'] && !str_default_color( 5, $styles['color-5'] )) ) {
$value=$color_options[5];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-5'] && !str_default_color( 5, $styles['color-5'] )) ) {
$col1=$styles['color-5'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
if( 
( $styles['color-6'] && !str_default_color( 6, $styles['color-6'] )) ) {
$col2=$styles['color-6'];
$css = $css ."\t" .'background: -moz-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -o-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -webkit-gradient(linear, left top, left bottom, from('.$col1.'), to('.$col2.'));' ."\n";
$css = $css ."\t" .'background: -webkit-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -ms-linear-gradient(top, '.$col1.' 0%, '.$col2.' 100%);' ."\n";
$css = $css ."\t" .'filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=\''.$col1.'\', endColorstr=\''.$col2.'\',GradientType=0 );' ."\n";
$css = $css ."\t" .'-ms-filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=\''.$col1.'\', endColorstr=\''.$col2.'\',GradientType=0 );' ."\n";
}
}
$css = $css .' }' ."\n";
}
/* Header2 #header_stallion2 */
if(
( $styles['color-29'] && !str_default_color( 29, $styles['color-29'] )) || 
( $styles['color-30'] && !str_default_color( 30, $styles['color-30'] )) ) {
$value=$color_options[29];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-29'] && !str_default_color( 29, $styles['color-29'] )) ) {
$col1=$styles['color-29'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-30'] && !str_default_color( 30, $styles['color-30'] )) ) {
$col2=$styles['color-30'];
$css = $css ."\t" .'border-top: 1px solid ' .$col2 .';' ."\n";
$css = $css ."\t" .'border-bottom: 1px solid ' .$col2 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* -Footer #footer_stallion */
if(
( $styles['color-454'] && !str_default_color( 454, $styles['color-454'] )) || 
( $styles['color-460'] && !str_default_color( 460, $styles['color-460'] )) || 
( $styles['color-457'] && !str_default_color( 457, $styles['color-457'] )) || 
( $styles['color-830'] && !str_default_color( 830, $styles['color-830'] )) ) {
$value=$color_options[454];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-454'] && !str_default_color( 454, $styles['color-454'] )) ) {
$col1=$styles['color-454'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
$css = $css ."\t" .'background-image: none;' ."\n";
}
if(
( $styles['color-457'] && !str_default_color( 457, $styles['color-457'] )) ) {
$col2=$styles['color-457'];
$css = $css ."\t" .'border-top: 1px solid ' .$col2 .';' ."\n";
$css = $css ."\t" .'border-bottom: 1px solid ' .$col2 .';' ."\n";
}
if(
( $styles['color-460'] && !str_default_color( 460, $styles['color-460'] )) ) {
$col3=$styles['color-460'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if( $styles['color-830'] && !str_default_color( 830, $styles['color-830'] )) {
$css = $css ."\t" .'font: '. $styles['color-830'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Footer Links #footer_stallion a:link, #footer_stallion a:visited */
if( $styles['color-463'] && !str_default_color( 463, $styles['color-463'] )) {
$value=$color_options[463];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-463'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Footer Links Hover #footer_stallion a:hover,#footer_stallion a:active */
if( $styles['color-466'] && !str_default_color( 466, $styles['color-466'] )) {
$value=$color_options[466];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-466'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Head Home Link Anchor Text #branding div.site-title, #branding h1, .h1disc h1, .h1disc span */
if( $styles['color-670'] && !str_default_color( 670, $styles['color-670'] )) {
$value=$color_options[670];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-670'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Head Home Link #branding a:link, #branding a:visited, .h1disc a:link, .h1disc a:visited */
if( $styles['color-35'] && !str_default_color( 35, $styles['color-35'] )) {
$value=$color_options[35];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-35'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Head Home Link Hover #branding a:hover, #branding a:active, .h1disc a:hover, .h1disc a:active */
if( $styles['color-38'] && !str_default_color( 38, $styles['color-38'] )) {
$value=$color_options[38];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-38'].';' ."\n";
$css = $css .' }' ."\n";
}
/* -Site Description #site-description, .description */
if( 
( $styles['color-41'] && !str_default_color( 41, $styles['color-41'] )) || 
( $styles['color-675'] && !str_default_color( 675, $styles['color-675'] )) ) {
$value=$color_options[41];
$css = $css .$value['class'] .' {' ."\n";
if( $styles['color-41'] && !str_default_color( 41, $styles['color-41'] )) {
$css = $css ."\t" .$value['element'] .': '. $styles['color-41'].';' ."\n";
}
if( $styles['color-675'] && !str_default_color( 675, $styles['color-675'] )) {
$css = $css ."\t" .'font: '. $styles['color-675'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Header Search Form .src_field */
if(
( $styles['color-44'] && !str_default_color( 44, $styles['color-44'] )) || 
( $styles['color-50'] && !str_default_color( 50, $styles['color-50'] )) || 
( $styles['color-51'] && !str_default_color( 51, $styles['color-51'] )) ) {
$value=$color_options[44];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-44'] && !str_default_color( 44, $styles['color-44'] )) ) {
$col1=$styles['color-44'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-50'] && !str_default_color( 50, $styles['color-50'] )) ) {
$col3=$styles['color-50'];
$css = $css ."\t" .'border: 1px solid ' .$col3 .';' ."\n";
}
if(
( $styles['color-51'] && !str_default_color( 51, $styles['color-51'] )) ) {
$col1=$styles['color-51'];
$css = $css ."\t" .'color: ' .$col1 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Header Search Form hover .src_field:focus */
if(
( $styles['color-47'] && !str_default_color( 47, $styles['color-47'] )) ) {
$col1=$styles['color-47'];
$value=$color_options[47];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
$css = $css .' }' ."\n";
}
/* Content .post-meta, .commenthead*/
if(
( $styles['color-56'] && !str_default_color( 56, $styles['color-56'] )) || 
( $styles['color-62'] && !str_default_color( 62, $styles['color-62'] )) ) {
$value=$color_options[56];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-56'] && !str_default_color( 56, $styles['color-56'] )) ) {
$col1=$styles['color-56'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
if(
( $styles['color-59'] && !str_default_color( 59, $styles['color-59'] )) ) {
$col2=$styles['color-59'];
$css = $css ."\t" .'background: -moz-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -o-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -webkit-gradient(linear, left top, left bottom, from('.$col1.'), to('.$col2.'));' ."\n";
$css = $css ."\t" .'background: -webkit-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -ms-linear-gradient(top, '.$col1.' 0%, '.$col2.' 100%);' ."\n";
$css = $css ."\t" .'filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=\''.$col1.'\', endColorstr=\''.$col2.'\',GradientType=0 );' ."\n";
$css = $css ."\t" .'-ms-filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=\''.$col1.'\', endColorstr=\''.$col2.'\',GradientType=0 );' ."\n";
}
}
if(
( $styles['color-62'] && !str_default_color( 62, $styles['color-62'] )) ) {
$col3=$styles['color-62'];
$css = $css ."\t" .'border: 1px solid ' .$col3 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Archive Headings #contread, .archives */
if( 
( $styles['color-65'] && !str_default_color( 65, $styles['color-65'] )) || 
( $styles['color-685'] && !str_default_color( 685, $styles['color-685'] )) ) {
$value=$color_options[65];
$css = $css .$value['class'] .' {' ."\n";
if( $styles['color-65'] && !str_default_color( 65, $styles['color-65'] )) {
$css = $css ."\t" .$value['element'] .': '. $styles['color-65'].';' ."\n";
}
if( $styles['color-685'] && !str_default_color( 685, $styles['color-685'] )) {
$css = $css ."\t" .'font: '. $styles['color-685'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* h1.stpostlink, h2.stpostlink, h3.stpostlink, h4.stpostlink */
if( $styles['color-690'] && !str_default_color( 690, $styles['color-690'] )) {
$value=$color_options[690];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-690'].';' ."\n";
$css = $css .' }' ."\n";
}
/* H* Post Links .stpostlink a:link, .stpostlink a:visited */
if( $styles['color-68'] && !str_default_color( 68, $styles['color-68'] )) {
$value=$color_options[68];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-68'].';' ."\n";
$css = $css .' }' ."\n";
}
/* H* Post Links Hover .stpostlink a:hover, .stpostlink a:active */
if( $styles['color-71'] && !str_default_color( 71, $styles['color-71'] )) {
$value=$color_options[71];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-71'].';' ."\n";
$css = $css .' }' ."\n";
}
/* .post-content h1, .comment-stallion h1 */
if( $styles['color-702'] && !str_default_color( 702, $styles['color-702'] )) {
$value=$color_options[702];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-702'].';' ."\n";
$css = $css .' }' ."\n";
}
/* .post-content h2, .comment-stallion h2 */
if( $styles['color-703'] && !str_default_color( 703, $styles['color-703'] )) {
$value=$color_options[703];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-703'].';' ."\n";
$css = $css .' }' ."\n";
}
/* .post-content h3, .comment-stallion h3 */
if( $styles['color-704'] && !str_default_color( 704, $styles['color-704'] )) {
$value=$color_options[704];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-704'].';' ."\n";
$css = $css .' }' ."\n";
}
/* .post-content h4, .comment-stallion h4 */
if( $styles['color-705'] && !str_default_color( 705, $styles['color-705'] )) {
$value=$color_options[705];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-705'].';' ."\n";
$css = $css .' }' ."\n";
}
/* .post-content h5, .comment-stallion h5 */
if( $styles['color-706'] && !str_default_color( 706, $styles['color-706'] )) {
$value=$color_options[706];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-706'].';' ."\n";
$css = $css .' }' ."\n";
}
/* .post-content h6, .comment-stallion h6 */
if( $styles['color-707'] && !str_default_color( 707, $styles['color-707'] )) {
$value=$color_options[707];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-707'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Main Content H* Text Color .post-content h1, .post-content h2, .post-content h3, .post-content h4, .post-content h5, .post-content h6 */
if( $styles['color-86'] && !str_default_color( 86, $styles['color-86'] )) {
$value=$color_options[86];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-86'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Date Area Text .post-date */
if( 
( $styles['color-74'] && !str_default_color( 74, $styles['color-74'] )) || 
( $styles['color-695'] && !str_default_color( 695, $styles['color-695'] )) ) {
$value=$color_options[74];
$css = $css .$value['class'] .' {' ."\n";
if( $styles['color-74'] && !str_default_color( 74, $styles['color-74'] )) {
$css = $css ."\t" .$value['element'] .': '. $styles['color-74'].';' ."\n";
}
if( $styles['color-695'] && !str_default_color( 695, $styles['color-695'] )) {
$css = $css ."\t" .'font: '. $styles['color-695'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Date Area Links .post-date a:link, .post-date a:visited */
if( $styles['color-77'] && !str_default_color( 77, $styles['color-77'] )) {
$value=$color_options[77];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-77'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Date Area Links Hover .post-date a:hover, .post-date a:active */
if( $styles['color-80'] && !str_default_color( 80, $styles['color-80'] )) {
$value=$color_options[80];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-80'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Main content .post-content */
if( 
( $styles['color-83'] && !str_default_color( 83, $styles['color-83'] )) || 
( $styles['color-700'] && !str_default_color( 700, $styles['color-700'] )) ) {
$value=$color_options[83];
$css = $css .$value['class'] .' {' ."\n";
if( $styles['color-83'] && !str_default_color( 83, $styles['color-83'] )) {
$css = $css ."\t" .$value['element'] .': '. $styles['color-83'].';' ."\n";
}
if( $styles['color-700'] && !str_default_color( 700, $styles['color-700'] )) {
$css = $css ."\t" .'font: '. $styles['color-700'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* -Blockquote .post-content blockquote */
if(
( $styles['color-95'] && !str_default_color( 95, $styles['color-95'] )) || 
( $styles['color-96'] && !str_default_color( 96, $styles['color-96'] )) || 
( $styles['color-98'] && !str_default_color( 98, $styles['color-98'] )) || 
( $styles['color-710'] && !str_default_color( 710, $styles['color-710'] )) ) {
$value=$color_options[95];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-95'] && !str_default_color( 95, $styles['color-95'] )) ) {
$col1=$styles['color-95'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-96'] && !str_default_color( 96, $styles['color-96'] )) ) {
$col4=$styles['color-96'];
$css = $css ."\t" .'border: 1px solid ' .$col4 .';' ."\n";
}
if(
( $styles['color-98'] && !str_default_color( 98, $styles['color-98'] )) ) {
$col3=$styles['color-98'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if( $styles['color-710'] && !str_default_color( 710, $styles['color-710'] )) {
$css = $css ."\t" .'font: '. $styles['color-710'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Main Content .post-content blockquote Cite */
if( 
( $styles['color-101'] && !str_default_color( 101, $styles['color-101'] )) || 
( $styles['color-715'] && !str_default_color( 715, $styles['color-715'] )) ) {
$value=$color_options[101];
$css = $css .$value['class'] .' {' ."\n";
if( $styles['color-101'] && !str_default_color( 101, $styles['color-101'] )) {
$css = $css ."\t" .$value['element'] .': '. $styles['color-101'].';' ."\n";
}
if( $styles['color-715'] && !str_default_color( 715, $styles['color-715'] )) {
$css = $css ."\t" .'font: '. $styles['color-715'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* -Code .post-content Code */
if(
( $styles['color-104'] && !str_default_color( 104, $styles['color-104'] )) || 
( $styles['color-110'] && !str_default_color( 110, $styles['color-110'] )) || 
( $styles['color-107'] && !str_default_color( 107, $styles['color-107'] )) || 
( $styles['color-720'] && !str_default_color( 720, $styles['color-720'] )) ) {
$value=$color_options[104];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-104'] && !str_default_color( 104, $styles['color-104'] )) ) {
$col1=$styles['color-104'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-107'] && !str_default_color( 107, $styles['color-107'] )) ) {
$col2=$styles['color-107'];
$css = $css ."\t" .'border: 1px dotted ' .$col2 .';' ."\n";
}
if(
( $styles['color-110'] && !str_default_color( 110, $styles['color-110'] )) ) {
$col3=$styles['color-110'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if( $styles['color-720'] && !str_default_color( 720, $styles['color-720'] )) {
$css = $css ."\t" .'font: '. $styles['color-720'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* -Pre .post-content Pre */
if(
( $styles['color-113'] && !str_default_color( 113, $styles['color-113'] )) || 
( $styles['color-114'] && !str_default_color( 114, $styles['color-114'] )) || 
( $styles['color-116'] && !str_default_color( 116, $styles['color-116'] )) || 
( $styles['color-725'] && !str_default_color( 725, $styles['color-725'] )) ) {
$value=$color_options[113];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-113'] && !str_default_color( 113, $styles['color-113'] )) ) {
$col1=$styles['color-113'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-114'] && !str_default_color( 114, $styles['color-114'] )) ) {
$col4=$styles['color-114'];
$css = $css ."\t" .'border: 1px solid ' .$col4 .';' ."\n";
}
if(
( $styles['color-116'] && !str_default_color( 116, $styles['color-116'] )) ) {
$col3=$styles['color-116'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if( $styles['color-725'] && !str_default_color( 725, $styles['color-725'] )) {
$css = $css ."\t" .'font: '. $styles['color-725'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Main Content Area Links .post-content a:link, .post-content a:visited */
if( $styles['color-89'] && !str_default_color( 89, $styles['color-89'] )) {
$value=$color_options[89];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-89'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Main Content Area Links Hover .post-content a:hover, .post-content a:active */
if( $styles['color-92'] && !str_default_color( 92, $styles['color-92'] )) {
$value=$color_options[92];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-92'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Main Content Continue Reading Links a.contread:link, a.contread:visited */
if( $styles['color-93'] && !str_default_color( 93, $styles['color-93'] )) {
$value=$color_options[93];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-93'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Main Content Continue Reading Links Hover a.contread:hover, a.contread:active */
if( $styles['color-94'] && !str_default_color( 94, $styles['color-94'] )) {
$value=$color_options[94];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-94'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Comment Button Links .postcom */
if(
( $styles['color-123'] && !str_default_color( 123, $styles['color-123'] )) || 
( $styles['color-125'] && !str_default_color( 125, $styles['color-125'] )) || 
( $styles['color-730'] && !str_default_color( 730, $styles['color-730'] )) ) {
$value=$color_options[123];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-123'] && !str_default_color( 123, $styles['color-123'] )) ) {
$col1=$styles['color-123'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-125'] && !str_default_color( 125, $styles['color-125'] )) ) {
$css = $css ."\t" .'border: 1px solid '. $styles['color-125'].';' ."\n";
}
if( $styles['color-730'] && !str_default_color( 730, $styles['color-730'] )) {
$css = $css ."\t" .'font: '. $styles['color-730'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Comment Button Links .postcom:hover */
if(
( $styles['color-124'] && !str_default_color( 124, $styles['color-124'] )) || 
( $styles['color-126'] && !str_default_color( 126, $styles['color-126'] )) ) {
$value=$color_options[124];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-124'] && !str_default_color( 124, $styles['color-124'] )) ) {
$col1=$styles['color-124'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-126'] && !str_default_color( 126, $styles['color-126'] )) ) {
$css = $css ."\t" .'border: 1px solid '. $styles['color-126'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Comment Button Links .postcom, .postcom a:link, .postcom a:visited */
if( $styles['color-119'] && !str_default_color( 119, $styles['color-119'] )) {
$value=$color_options[119];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-119'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Comment Button Links Hover .postcom:hover, .postcom a:hover, .postcom a:active */
if( $styles['color-122'] && !str_default_color( 122, $styles['color-122'] )) {
$value=$color_options[122];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-122'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Author Biography Box .author-bio*/
if(
( $styles['color-244'] && !str_default_color( 244, $styles['color-244'] )) ||
( $styles['color-250'] && !str_default_color( 250, $styles['color-250'] )) || 
( $styles['color-253'] && !str_default_color( 253, $styles['color-253'] )) || 
( $styles['color-735'] && !str_default_color( 735, $styles['color-735'] )) ) {
$value=$color_options[244];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-244'] && !str_default_color( 244, $styles['color-244'] )) ) {
$col1=$styles['color-244'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
if(
( $styles['color-247'] && !str_default_color( 247, $styles['color-247'] )) ) {
$col2=$styles['color-247'];
$css = $css ."\t" .'background: -moz-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -o-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -webkit-gradient(linear, left top, left bottom, from('.$col1.'), to('.$col2.'));' ."\n";
$css = $css ."\t" .'background: -webkit-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -ms-linear-gradient(top, '.$col1.' 0%, '.$col2.' 100%);' ."\n";
$css = $css ."\t" .'filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=\''.$col1.'\', endColorstr=\''.$col2.'\',GradientType=0 );' ."\n";
$css = $css ."\t" .'-ms-filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=\''.$col1.'\', endColorstr=\''.$col2.'\',GradientType=0 );' ."\n";
}
}
if(
( $styles['color-250'] && !str_default_color( 250, $styles['color-250'] )) ) {
$col3=$styles['color-250'];
$css = $css ."\t" .'border: 1px solid ' .$col3 .';' ."\n";
}
if(
( $styles['color-253'] && !str_default_color( 253, $styles['color-253'] )) ) {
$col4=$styles['color-253'];
$css = $css ."\t" .'color: ' .$col4 .';' ."\n";
}
if( $styles['color-735'] && !str_default_color( 735, $styles['color-735'] )) {
$css = $css ."\t" .'font: '. $styles['color-735'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Author Biography Box Anchor Text .author-bio a:link, .author-bio a:visited */
if( $styles['color-256'] && !str_default_color( 256, $styles['color-256'] )) {
$value=$color_options[256];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-256'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Author Biography Box Anchor Text Hover .author-bio a:hover, .author-bio a:active */
if( $styles['color-259'] && !str_default_color( 259, $styles['color-259'] )) {
$value=$color_options[259];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-259'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Comment Form Text Color #comment-box p, #comment-box2 p, #comment-area p */
if( 
( $styles['color-359'] && !str_default_color( 359, $styles['color-359'] )) || 
( $styles['color-745'] && !str_default_color( 745, $styles['color-745'] )) ) {
$value=$color_options[359];
$css = $css .$value['class'] .' {' ."\n";
if( $styles['color-359'] && !str_default_color( 359, $styles['color-359'] )) {
$css = $css ."\t" .$value['element'] .': '. $styles['color-359'].';' ."\n";
}
if( $styles['color-745'] && !str_default_color( 745, $styles['color-745'] )) {
$css = $css ."\t" .'font: '. $styles['color-745'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* -Comment Form #comment-box input, #comment-box2 input, #comment-area textarea */
if(
( $styles['color-349'] && !str_default_color( 349, $styles['color-349'] )) || 
( $styles['color-355'] && !str_default_color( 355, $styles['color-355'] )) || 
( $styles['color-360'] && !str_default_color( 360, $styles['color-360'] )) ) {
$value=$color_options[349];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-349'] && !str_default_color( 349, $styles['color-349'] )) ) {
$col1=$styles['color-349'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-355'] && !str_default_color( 355, $styles['color-355'] )) ) {
$col2=$styles['color-355'];
$css = $css ."\t" .'border: 1px solid ' .$col2 .';' ."\n";
}
if(
( $styles['color-360'] && !str_default_color( 360, $styles['color-360'] )) ) {
$col3=$styles['color-360'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* -Comment Form hover #comment-box input:hover, #comment-box2 input:hover, #comment-area textarea:hover */
if(
( $styles['color-352'] && !str_default_color( 352, $styles['color-352'] )) || 
( $styles['color-358'] && !str_default_color( 358, $styles['color-358'] )) ) {
$value=$color_options[352];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-352'] && !str_default_color( 352, $styles['color-352'] )) ) {
$col1=$styles['color-352'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-358'] && !str_default_color( 358, $styles['color-358'] )) ) {
$col2=$styles['color-358'];
$css = $css ."\t" .'border: 1px solid ' .$col2 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* .comment-stallion .list-4 */
if( $styles['color-750'] && !str_default_color( 750, $styles['color-750'] )) {
$value=$color_options[750];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-750'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Comment Hikari Title .comment-title */
if( 
( $styles['color-385'] && !str_default_color( 385, $styles['color-385'] )) || 
( $styles['color-780'] && !str_default_color( 780, $styles['color-780'] )) ) {
$value=$color_options[385];
$css = $css .$value['class'] .' {' ."\n";
if( $styles['color-385'] && !str_default_color( 385, $styles['color-385'] )) {
$css = $css ."\t" .$value['element'] .': '. $styles['color-385'].';' ."\n";
}
if( $styles['color-780'] && !str_default_color( 780, $styles['color-780'] )) {
$css = $css ."\t" .'font: '. $styles['color-780'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Comment H* Text Color .comment-stallion h1, .comment-stallion h2, .comment-stallion h3, .comment-stallion h4, .comment-stallion h5, .comment-stallion h6 */
if( $styles['color-388'] && !str_default_color( 388, $styles['color-388'] )) {
$value=$color_options[388];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-388'].';' ."\n";
$css = $css .' }' ."\n";
}
/* -Blockquote .comment-stallion blockquote */
if(
( $styles['color-391'] && !str_default_color( 391, $styles['color-391'] )) || 
( $styles['color-392'] && !str_default_color( 392, $styles['color-392'] )) || 
( $styles['color-394'] && !str_default_color( 394, $styles['color-394'] )) || 
( $styles['color-790'] && !str_default_color( 790, $styles['color-790'] )) ) {
$value=$color_options[391];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-391'] && !str_default_color( 391, $styles['color-391'] )) ) {
$col1=$styles['color-391'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-392'] && !str_default_color( 392, $styles['color-392'] )) ) {
$col4=$styles['color-392'];
$css = $css ."\t" .'border: 1px solid ' .$col4 .';' ."\n";
}
if(
( $styles['color-394'] && !str_default_color( 394, $styles['color-394'] )) ) {
$col3=$styles['color-394'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if( $styles['color-790'] && !str_default_color( 790, $styles['color-790'] )) {
$css = $css ."\t" .'font: '. $styles['color-790'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Comment .comment-stallion blockquote Cite */
if( 
( $styles['color-397'] && !str_default_color( 397, $styles['color-397'] )) || 
( $styles['color-795'] && !str_default_color( 795, $styles['color-795'] )) ) {
$value=$color_options[397];
$css = $css .$value['class'] .' {' ."\n";
if( $styles['color-397'] && !str_default_color( 397, $styles['color-397'] )) {
$css = $css ."\t" .$value['element'] .': '. $styles['color-397'].';' ."\n";
}
if( $styles['color-795'] && !str_default_color( 795, $styles['color-795'] )) {
$css = $css ."\t" .'font: '. $styles['color-795'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* -Code .comment-stallion Code */
if(
( $styles['color-400'] && !str_default_color( 400, $styles['color-400'] )) || 
( $styles['color-403'] && !str_default_color( 403, $styles['color-403'] )) || 
( $styles['color-406'] && !str_default_color( 406, $styles['color-406'] )) || 
( $styles['color-800'] && !str_default_color( 800, $styles['color-800'] )) ) {
$value=$color_options[400];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-400'] && !str_default_color( 400, $styles['color-400'] )) ) {
$col1=$styles['color-400'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-406'] && !str_default_color( 406, $styles['color-406'] )) ) {
$col2=$styles['color-406'];
$css = $css ."\t" .'border: 1px dotted ' .$col2 .';' ."\n";
}
if(
( $styles['color-403'] && !str_default_color( 403, $styles['color-403'] )) ) {
$col3=$styles['color-403'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if( $styles['color-800'] && !str_default_color( 800, $styles['color-800'] )) {
$css = $css ."\t" .'font: '. $styles['color-800'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* -Pre .comment-stallion Pre */
if(
( $styles['color-409'] && !str_default_color( 409, $styles['color-409'] )) || 
( $styles['color-410'] && !str_default_color( 410, $styles['color-410'] )) || 
( $styles['color-412'] && !str_default_color( 412, $styles['color-412'] )) || 
( $styles['color-805'] && !str_default_color( 805, $styles['color-805'] )) ) {
$value=$color_options[409];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-409'] && !str_default_color( 409, $styles['color-409'] )) ) {
$col1=$styles['color-409'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-110'] && !str_default_color( 110, $styles['color-110'] )) ) {
$col4=$styles['color-110'];
$css = $css ."\t" .'border: 1px solid ' .$col4 .';' ."\n";
}
if(
( $styles['color-412'] && !str_default_color( 412, $styles['color-412'] )) ) {
$col3=$styles['color-412'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if( $styles['color-805'] && !str_default_color( 805, $styles['color-805'] )) {
$css = $css ."\t" .'font: '. $styles['color-805'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Individual Comments Outer All Border li.odd, li.even */
if( $styles['color-415'] && !str_default_color( 415, $styles['color-415'] )) {
$value=$color_options[415];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .'border: 1px solid '. $styles['color-415'].' !important;' ."\n";
$css = $css .' }' ."\n";
}
/* Admin Individual Comments Inner All Border .comment-stallion .list-4 li .admin */
if( $styles['color-421'] && !str_default_color( 421, $styles['color-421'] )) {
$value=$color_options[421];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .'border: 1px dashed '. $styles['color-421'].' !important;' ."\n";
$css = $css .' }' ."\n";
}
/* Individual Comments Inner All Border .com-wrapper */
if( $styles['color-418'] && !str_default_color( 418, $styles['color-418'] )) {
$value=$color_options[418];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .'border: 1px solid '. $styles['color-418'].' !important;' ."\n";
$css = $css .' }' ."\n";
}
/* Comment Links .comment-stallion a:link, .comment-stallion a:visited */
if( $styles['color-379'] && !str_default_color( 379, $styles['color-379'] )) {
$value=$color_options[379];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-379'].' !important;' ."\n";
$css = $css .' }' ."\n";
}
/* Comment Links Hover .comment-stallion a:hover, .comment-stallion a:active */
if( $styles['color-382'] && !str_default_color( 382, $styles['color-382'] )) {
$value=$color_options[382];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-382'].' !important;' ."\n";
$css = $css .' }' ."\n";
}
/* -Even Comment */
if(
( $styles['color-367'] && !str_default_color( 367, $styles['color-367'] )) || 
( $styles['color-370'] && !str_default_color( 370, $styles['color-370'] )) ) {
$value=$color_options[367];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-367'] && !str_default_color( 367, $styles['color-367'] )) ) {
$col1=$styles['color-367'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-370'] && !str_default_color( 370, $styles['color-370'] )) ) {
$col3=$styles['color-370'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* -Odd Comment */
if(
( $styles['color-373'] && !str_default_color( 373, $styles['color-373'] )) || 
( $styles['color-376'] && !str_default_color( 376, $styles['color-376'] )) ) {
$value=$color_options[373];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-373'] && !str_default_color( 373, $styles['color-373'] )) ) {
$col1=$styles['color-373'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-376'] && !str_default_color( 376, $styles['color-376'] )) ) {
$col3=$styles['color-376'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Comment Headings #comments, #respond, .trackbacks */
if( 
( $styles['color-346'] && !str_default_color( 346, $styles['color-346'] )) || 
( $styles['color-740'] && !str_default_color( 740, $styles['color-740'] )) ) {
$value=$color_options[346];
$css = $css .$value['class'] .' {' ."\n";
if( $styles['color-346'] && !str_default_color( 346, $styles['color-346'] )) {
$css = $css ."\t" .$value['element'] .': '. $styles['color-346'].';' ."\n";
}
if( $styles['color-740'] && !str_default_color( 740, $styles['color-740'] )) {
$css = $css ."\t" .'font: '. $styles['color-740'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Comment Submit Text #comment-area #submit */
if(
( $styles['color-361'] && !str_default_color( 361, $styles['color-361'] )) ||
( $styles['color-362'] && !str_default_color( 362, $styles['color-362'] )) || 
( $styles['color-363'] && !str_default_color( 363, $styles['color-363'] )) ) {
$value=$color_options[361];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-361'] && !str_default_color( 361, $styles['color-361'] )) ) {
$col1=$styles['color-361'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-362'] && !str_default_color( 362, $styles['color-362'] )) ) {
$col3=$styles['color-362'];
$css = $css ."\t" .'border: 1px solid ' .$col3 .';' ."\n";
}
if(
( $styles['color-363'] && !str_default_color( 363, $styles['color-363'] )) ) {
$col4=$styles['color-363'];
$css = $css ."\t" .'color: ' .$col4 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Comment Submit Text #comment-area #submit Hover */
if(
( $styles['color-364'] && !str_default_color( 364, $styles['color-364'] )) ||
( $styles['color-365'] && !str_default_color( 365, $styles['color-365'] )) || 
( $styles['color-366'] && !str_default_color( 366, $styles['color-366'] )) ) {
$value=$color_options[364];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-364'] && !str_default_color( 364, $styles['color-364'] )) ) {
$col1=$styles['color-364'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-365'] && !str_default_color( 365, $styles['color-365'] )) ) {
$col3=$styles['color-365'];
$css = $css ."\t" .'border: 1px solid ' .$col3 .';' ."\n";
}
if(
( $styles['color-366'] && !str_default_color( 366, $styles['color-366'] )) ) {
$col4=$styles['color-366'];
$css = $css ."\t" .'color: ' .$col4 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Widget Background, Text Color Border All .widget-container */
if(
( $styles['color-289'] && !str_default_color( 289, $styles['color-289'] )) ||
( $styles['color-295'] && !str_default_color( 295, $styles['color-295'] )) || 
( $styles['color-301'] && !str_default_color( 301, $styles['color-301'] )) || 
( $styles['color-810'] && !str_default_color( 810, $styles['color-810'] )) ) {
$value=$color_options[289];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-295'] && !str_default_color( 295, $styles['color-295'] )) ) {
$col1=$styles['color-295'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-301'] && !str_default_color( 301, $styles['color-301'] )) ) {
$col3=$styles['color-301'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if(
( $styles['color-289'] && !str_default_color( 289, $styles['color-289'] )) ) {
$col2=$styles['color-289'];
$css = $css ."\t" .'border: 1px solid ' .$col2 .';' ."\n";
}
if( $styles['color-810'] && !str_default_color( 810, $styles['color-810'] )) {
$css = $css ."\t" .'font: '. $styles['color-810'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* .loginfm button */
if(
( $styles['color-295'] && !str_default_color( 295, $styles['color-295'] )) || 
( $styles['color-810'] && !str_default_color( 810, $styles['color-810'] )) ) {
$css = $css .'.loginfm button {' ."\n";
if(
( $styles['color-295'] && !str_default_color( 295, $styles['color-295'] )) ) {
$col1=$styles['color-295'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if( $styles['color-810'] && !str_default_color( 810, $styles['color-810'] )) {
$css = $css ."\t" .'font: '. $styles['color-810'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* -Widget Heading span.gat_widget, h1.gat_widget */
if(
( $styles['color-292'] && !str_default_color( 292, $styles['color-292'] )) || 
( $styles['color-298'] && !str_default_color( 298, $styles['color-298'] )) || 
( $styles['color-815'] && !str_default_color( 815, $styles['color-815'] )) ) {
$value=$color_options[292];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-292'] && !str_default_color( 292, $styles['color-292'] )) ) {
$col1=$styles['color-292'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-293'] && !str_default_color( 293, $styles['color-293'] )) ) {
$col2=$styles['color-293'];
$css = $css ."\t" .'border-top: 1px solid ' .$col2 .';' ."\n";
$css = $css ."\t" .'border-bottom: 1px solid ' .$col2 .';' ."\n";
}
if(
( $styles['color-298'] && !str_default_color( 298, $styles['color-298'] )) ) {
$col3=$styles['color-298'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if( $styles['color-815'] && !str_default_color( 815, $styles['color-815'] )) {
$css = $css ."\t" .'font: '. $styles['color-815'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Widget Links .sidebar-box a:link, .sidebar-box a:visited, .loglinks */
if( $styles['color-304'] && !str_default_color( 304, $styles['color-304'] )) {
$value=$color_options[304];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-304'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Widget Links Hover .sidebar-box a:hover, .sidebar-box a:active, .loglinks:hover */
if( $styles['color-307'] && !str_default_color( 307, $styles['color-307'] )) {
$value=$color_options[307];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-307'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Widget Heading Links .gat_widget a:link, .gat_widget a:visited */
if( $styles['color-310'] && !str_default_color( 310, $styles['color-310'] )) {
$value=$color_options[310];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-310'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Widget Heading Links Hover .gat_widget a:hover, .gat_widget a:active */
if( $styles['color-313'] && !str_default_color( 313, $styles['color-313'] )) {
$value=$color_options[313];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-313'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Widget Search #searchwidget input#searchsubmit, #cse-search-box input.art-button */
if(
( $styles['color-314'] && !str_default_color( 314, $styles['color-314'] )) ||
( $styles['color-315'] && !str_default_color( 315, $styles['color-315'] )) || 
( $styles['color-316'] && !str_default_color( 316, $styles['color-316'] )) ) {
$value=$color_options[314];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-314'] && !str_default_color( 314, $styles['color-314'] )) ) {
$col1=$styles['color-314'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-315'] && !str_default_color( 315, $styles['color-315'] )) ) {
$col3=$styles['color-315'];
$css = $css ."\t" .'border: 1px solid ' .$col3 .';' ."\n";
}
if(
( $styles['color-316'] && !str_default_color( 316, $styles['color-316'] )) ) {
$col4=$styles['color-316'];
$css = $css ."\t" .'color: ' .$col4 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Widget Search #searchwidget input#searchsubmit:hover, #cse-search-box input.art-button:hover */
if(
( $styles['color-317'] && !str_default_color( 317, $styles['color-317'] )) ||
( $styles['color-318'] && !str_default_color( 318, $styles['color-318'] )) || 
( $styles['color-319'] && !str_default_color( 319, $styles['color-319'] )) ) {
$value=$color_options[317];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-317'] && !str_default_color( 317, $styles['color-317'] )) ) {
$col1=$styles['color-317'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-318'] && !str_default_color( 318, $styles['color-318'] )) ) {
$col3=$styles['color-318'];
$css = $css ."\t" .'border: 1px solid ' .$col3 .';' ."\n";
}
if(
( $styles['color-319'] && !str_default_color( 319, $styles['color-319'] )) ) {
$col4=$styles['color-319'];
$css = $css ."\t" .'color: ' .$col4 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Tagcloud widget Links div.tagcloud a */
if( $styles['color-818'] && !str_default_color( 818, $styles['color-818'] )) {
$value=$color_options[818];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .'font: '. $styles['color-818'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Gallery Caption .gallery-caption */
if(
( $styles['color-131'] && !str_default_color( 131, $styles['color-131'] )) || 
( $styles['color-134'] && !str_default_color( 134, $styles['color-134'] )) || 
( $styles['color-820'] && !str_default_color( 820, $styles['color-820'] )) ) {
$value=$color_options[131];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-131'] && !str_default_color( 131, $styles['color-131'] )) ) {
$col1=$styles['color-131'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-134'] && !str_default_color( 134, $styles['color-134'] )) ) {
$col3=$styles['color-134'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if( $styles['color-820'] && !str_default_color( 820, $styles['color-820'] )) {
$css = $css ."\t" .'font: '. $styles['color-820'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Caption .wp-caption */
if(
( $styles['color-137'] && !str_default_color( 137, $styles['color-137'] )) || 
( $styles['color-140'] && !str_default_color( 140, $styles['color-140'] )) ||
( $styles['color-143'] && !str_default_color( 143, $styles['color-143'] )) || 
( $styles['color-825'] && !str_default_color( 825, $styles['color-825'] )) ) {
$value=$color_options[137];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-137'] && !str_default_color( 137, $styles['color-137'] )) ) {
$col1=$styles['color-137'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-140'] && !str_default_color( 140, $styles['color-140'] )) ) {
$css = $css ."\t" .'border: 1px solid '. $styles['color-140'].';' ."\n";
}
if(
( $styles['color-143'] && !str_default_color( 143, $styles['color-143'] )) ) {
$col3=$styles['color-143'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if( $styles['color-825'] && !str_default_color( 825, $styles['color-825'] )) {
$css = $css ."\t" .'font: '. $styles['color-825'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Image Caption Links .wp-caption a:link, .wp-caption a:visited */
if( $styles['color-146'] && !str_default_color( 146, $styles['color-146'] )) {
$value=$color_options[146];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-146'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Image Caption Links Hover .wp-caption a:hover, .wp-caption a:active */
if( $styles['color-149'] && !str_default_color( 149, $styles['color-149'] )) {
$value=$color_options[149];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-149'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Image Border img[class*="align"], img[class*="wp-image-"] */
if( $styles['color-158'] && !str_default_color( 158, $styles['color-158'] )) {
$value=$color_options[158];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .'border: 1px solid '. $styles['color-158'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Image Link Hover a:focus img[class*="align"], a:hover img[class*="align"], a:active img[class*="align"], a:focus img[class*="wp-image-"], a:hover img[class*="wp-image-"], a:active img[class*="wp-image-"] */
if(
( $styles['color-161'] && !str_default_color( 161, $styles['color-161'] )) || 
( $styles['color-164'] && !str_default_color( 164, $styles['color-164'] )) ) {
$value=$color_options[161];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-161'] && !str_default_color( 161, $styles['color-161'] )) ) {
$col1=$styles['color-161'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-164'] && !str_default_color( 164, $styles['color-164'] )) ) {
$css = $css ."\t" .'border-color: '. $styles['color-164'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Caption Image Link Hover .wp-caption a:focus img, .wp-caption a:active img, .wp-caption a:hover img */
if(
( $styles['color-152'] && !str_default_color( 152, $styles['color-152'] )) || 
( $styles['color-155'] && !str_default_color( 155, $styles['color-155'] )) ) {
$value=$color_options[152];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-152'] && !str_default_color( 152, $styles['color-152'] )) ) {
$col1=$styles['color-152'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-155'] && !str_default_color( 155, $styles['color-155'] )) ) {
$css = $css ."\t" .'border-color: '. $styles['color-155'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Next - Previous Nav Links */
if( $styles['color-840'] && !str_default_color( 840, $styles['color-840'] )) {
$value=$color_options[840];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .'font: '. $styles['color-840'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Next - Previous Nav Links Border .wp-pagenavi a, .wp-pagenavi span */
if( $styles['color-214'] && !str_default_color( 214, $styles['color-214'] )) {
$value=$color_options[214];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .'border: 1px solid '. $styles['color-214'].' !important;' ."\n";
$css = $css .' }' ."\n";
}
/* Next - Previous Nav Links Anchor Text .wp-pagenavi a:link, .wp-pagenavi a:visited */
if( $styles['color-217'] && !str_default_color( 217, $styles['color-217'] )) {
$value=$color_options[217];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-217'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Next - Previous Nav Links Anchor Text Hover .wp-pagenavi a:hover, .wp-pagenavi a:active */
if( $styles['color-220'] && !str_default_color( 220, $styles['color-220'] )) {
$value=$color_options[220];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-220'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Featured Slider background Border Color #st_feature  */
if(
( $styles['color-186'] && !str_default_color( 186, $styles['color-186'] )) || 
( $styles['color-190'] && !str_default_color( 190, $styles['color-190'] )) || 
( $styles['color-835'] && !str_default_color( 835, $styles['color-835'] )) ) {
$value=$color_options[186];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-186'] && !str_default_color( 186, $styles['color-186'] )) ) {
$col1=$styles['color-186'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-190'] && !str_default_color( 190, $styles['color-190'] )) ) {
$css = $css ."\t" .'border: 1px solid '. $styles['color-190'].';' ."\n";
}
if( $styles['color-835'] && !str_default_color( 835, $styles['color-835'] )) {
$css = $css ."\t" .'font: '. $styles['color-835'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Featured #st_feature .st_feature_post .st_feature_main */
if(
( $styles['color-191'] && !str_default_color( 191, $styles['color-191'] )) || 
( $styles['color-192'] && !str_default_color( 192, $styles['color-192'] )) ) {
$value=$color_options[191];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-191'] && !str_default_color( 191, $styles['color-191'] )) ) {
$col1=$styles['color-191'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-192'] && !str_default_color( 192, $styles['color-192'] )) ) {
$col3=$styles['color-192'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Featured Links .st_feature_main a:link, .st_feature_main a:visited */
if( $styles['color-195'] && !str_default_color( 195, $styles['color-195'] )) {
$value=$color_options[195];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-195'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Featured Links Hover .st_feature_main a:hover, .st_feature_main a:active */
if( $styles['color-198'] && !str_default_color( 198, $styles['color-198'] )) {
$value=$color_options[198];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-198'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Featured Slider Button Color .st_feature_pager a  */
if(
( $styles['color-200'] && !str_default_color( 200, $styles['color-200'] )) || 
( $styles['color-202'] && !str_default_color( 202, $styles['color-202'] )) ) {
$value=$color_options[200];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-200'] && !str_default_color( 200, $styles['color-200'] )) ) {
$col1=$styles['color-200'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-202'] && !str_default_color( 202, $styles['color-202'] )) ) {
$css = $css ."\t" .'border: 2px solid '. $styles['color-202'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Featured Slider Button Color .st_feature_pager a:hover  */
if(
( $styles['color-201'] && !str_default_color( 201, $styles['color-201'] )) || 
( $styles['color-203'] && !str_default_color( 203, $styles['color-203'] )) ) {
$value=$color_options[201];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-201'] && !str_default_color( 201, $styles['color-201'] )) ) {
$col1=$styles['color-201'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-203'] && !str_default_color( 203, $styles['color-203'] )) ) {
$css = $css ."\t" .'border: 2px solid '. $styles['color-203'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Featured Slider Button Color .st_feature_prev, .st_feature_next  */
if(
( $styles['color-200'] && !str_default_color( 200, $styles['color-200'] )) || 
( $styles['color-202'] && !str_default_color( 202, $styles['color-202'] )) ) {
$css = $css .'.st_feature_prev, .st_feature_next {' ."\n";
if(
( $styles['color-200'] && !str_default_color( 200, $styles['color-200'] )) ) {
$col1=$styles['color-200'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-202'] && !str_default_color( 202, $styles['color-202'] )) ) {
$css = $css ."\t" .'border: 2px solid '. $styles['color-202'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Featured Links Arrow .st_feature_nav a:link, .st_feature_nav a:visited */
if( $styles['color-204'] && !str_default_color( 204, $styles['color-204'] )) {
$value=$color_options[204];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-204'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Featured Links Arrow Hover .st_feature_nav a:hover, .st_feature_nav a:active */
if( $styles['color-205'] && !str_default_color( 205, $styles['color-205'] )) {
$value=$color_options[205];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-205'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Scroll Top/Bottom Arrows .strotate */
if( $styles['color-223'] && !str_default_color( 223, $styles['color-223'] )) {
$value=$color_options[223];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-223'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Scroll Top/Bottom Arrows Hover .strotate:hover */
if( $styles['color-226'] && !str_default_color( 226, $styles['color-226'] )) {
$value=$color_options[226];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-226'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Menu Top Line - Background Gradient Color .srumenu */
if(
( $styles['color-491'] && !str_default_color( 491, $styles['color-491'] )) || 
( $styles['color-680'] && !str_default_color( 680, $styles['color-680'] )) ) {
$value=$color_options[491];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-491'] && !str_default_color( 491, $styles['color-491'] )) ) {
$col1=$styles['color-491'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
if( 
( $styles['color-494'] && !str_default_color( 494, $styles['color-494'] )) ) {
$col2=$styles['color-494'];
$css = $css ."\t" .'background: -webkit-gradient(linear, left top, left bottom, from('.$col1.'), to('.$col2.'));' ."\n";
$css = $css ."\t" .'background: -webkit-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -moz-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -ms-linear-gradient(top, '.$col1.' 0%, '.$col2.' 100%);' ."\n";
$css = $css ."\t" .'background: -o-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=\''.$col1.'\', endColorstr=\''.$col2.'\');' ."\n";
}
}
if( $styles['color-680'] && !str_default_color( 680, $styles['color-680'] )) {
$css = $css ."\t" .'font: '. $styles['color-680'].';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Menu Top Line Right Border, Anchor Text, Shadow .srumenu a */
if(
( $styles['color-506'] && !str_default_color( 506, $styles['color-506'] )) || 
( $styles['color-509'] && !str_default_color( 509, $styles['color-509'] )) ) {
$value=$color_options[506];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-506'] && !str_default_color( 506, $styles['color-506'] )) ) {
$col1=$styles['color-506'];
$css = $css ."\t" .'border-right: 1px solid ' .$col1 .';' ."\n";
}
if(
( $styles['color-509'] && !str_default_color( 509, $styles['color-509'] )) ) {
$col2=$styles['color-509'];
$css = $css ."\t" .'color: ' .$col2 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Menu Top Line - Hover Background Gradient, Anchor Text Hover .srumenu a:hover*/
if(
( $styles['color-497'] && !str_default_color( 497, $styles['color-497'] )) || 
( $styles['color-515'] && !str_default_color( 515, $styles['color-515'] )) || 
( $styles['color-516'] && !str_default_color( 516, $styles['color-516'] )) ) {
$value=$color_options[497];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-497'] && !str_default_color( 497, $styles['color-497'] )) ) {
$col1=$styles['color-497'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
if( 
( $styles['color-500'] && !str_default_color( 500, $styles['color-500'] )) ) {
$col2=$styles['color-500'];
$css = $css ."\t" .'background: -webkit-gradient(linear, left top, left bottom, from('.$col1.'), to('.$col2.'));' ."\n";
$css = $css ."\t" .'background: -webkit-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -moz-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -ms-linear-gradient(top, '.$col1.' 0%, '.$col2.' 100%);' ."\n";
$css = $css ."\t" .'background: -o-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=\''.$col1.'\', endColorstr=\''.$col2.'\');' ."\n";
}
}
if(
( $styles['color-515'] && !str_default_color( 515, $styles['color-515'] )) ) {
$col3=$styles['color-515'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
if(
( $styles['color-516'] && !str_default_color( 516, $styles['color-516'] )) ) {
$col4=$styles['color-516'];
$css = $css ."\t" .'border-right: 1px solid ' .$col4 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Menu Top Line - DropDown Top Background ul.srumenu > li:hover */
if( $styles['color-503'] && !str_default_color( 503, $styles['color-503'] )) {
$value=$color_options[503];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-503'].';' ."\n";
$css = $css .' }' ."\n";
}
/*Menu DropDown background-color, Border .srumenu li li */
if(
( $styles['color-518'] && !str_default_color( 518, $styles['color-518'] )) || 
( $styles['color-521'] && !str_default_color( 521, $styles['color-521'] )) ) {
$value=$color_options[518];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-518'] && !str_default_color( 518, $styles['color-518'] )) ) {
$col1=$styles['color-518'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
}
if(
( $styles['color-521'] && !str_default_color( 521, $styles['color-521'] )) ) {
$col2=$styles['color-521'];
$css = $css ."\t" .'border: 1px solid ' .$col2 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/*Menu DropDown Anchor Text .srumenu li li a */
if( $styles['color-524'] && !str_default_color( 524, $styles['color-524'] )) {
$value=$color_options[524];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-524'].';' ."\n";
$css = $css .' }' ."\n";
}
/*Menu DropDown background-color, Anchor Text Hover .srumenu li li a:hover */
if(
( $styles['color-527'] && !str_default_color( 527, $styles['color-527'] )) || 
( $styles['color-530'] && !str_default_color( 530, $styles['color-530'] )) ) {
$value=$color_options[527];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-527'] && !str_default_color( 527, $styles['color-527'] )) ) {
$col1=$styles['color-527'];
$css = $css ."\t" .'background-color: ' .$col1 .' !important;' ."\n";
}
if(
( $styles['color-530'] && !str_default_color( 530, $styles['color-530'] )) ) {
$col3=$styles['color-530'];
$css = $css ."\t" .'color: ' .$col3 .';' ."\n";
}
$css = $css .' }' ."\n";
}
/* Menu Mobile Start- @media only screen and (max-width: 800px) */
if(
( $styles['color-554'] && !str_default_color( 554, $styles['color-554'] )) || 
( $styles['color-557'] && !str_default_color( 557, $styles['color-557'] )) || 
( $styles['color-560'] && !str_default_color( 560, $styles['color-560'] )) || 
( $styles['color-563'] && !str_default_color( 563, $styles['color-563'] )) || 
( $styles['color-566'] && !str_default_color( 566, $styles['color-566'] )) || 
( $styles['color-569'] && !str_default_color( 569, $styles['color-569'] )) || 
( $styles['color-572'] && !str_default_color( 572, $styles['color-572'] )) ) {
$css = $css .'@media only screen and (max-width: 800px) {' ."\n";
}
/* Menu Mobile Top Line - Background Gradient Color .str_nav */
if(
( $styles['color-554'] && !str_default_color( 554, $styles['color-554'] )) ) {
$value=$color_options[554];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-554'] && !str_default_color( 554, $styles['color-554'] )) ) {
$col1=$styles['color-554'];
$css = $css ."\t" .'background-color: ' .$col1 .';' ."\n";
if( 
( $styles['color-557'] && !str_default_color( 557, $styles['color-557'] )) ) {
$col2=$styles['color-557'];
$css = $css ."\t" .'background: -webkit-gradient(linear, left top, left bottom, from('.$col1.'), to('.$col2.'));' ."\n";
$css = $css ."\t" .'background: -webkit-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -moz-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: -ms-linear-gradient(top, '.$col1.' 0%, '.$col2.' 100%);' ."\n";
$css = $css ."\t" .'background: -o-linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'background: linear-gradient(top, '.$col1.', '.$col2 .');' ."\n";
$css = $css ."\t" .'filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=\''.$col1.'\', endColorstr=\''.$col2.'\');' ."\n";
}
}
$css = $css .' }' ."\n";
}
/* Menu DropDown - Background .srumenu li */
if( $styles['color-560'] && !str_default_color( 560, $styles['color-560'] )) {
$value=$color_options[560];
$css = $css .$value['class'] .' {' ."\n";
$css = $css ."\t" .$value['element'] .': '. $styles['color-560'].';' ."\n";
$css = $css .' }' ."\n";
}
/* Menu DropDown - Anchor Text, Bottom Borders .srumenu li a */
if(
( $styles['color-569'] && !str_default_color( 569, $styles['color-569'] )) ) {
$value=$color_options[569];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-569'] && !str_default_color( 569, $styles['color-569'] )) ) {
$col1=$styles['color-569'];
$css = $css ."\t" .'color: ' .$col1 .';' ."\n";
if( 
( $styles['color-566'] && !str_default_color( 566, $styles['color-566'] )) ) {
$col2=$styles['color-566'];
$css = $css ."\t" .'border-bottom: 1px solid ' .$col2 .';' ."\n";
}
}
$css = $css .' }' ."\n";
}
/* Menu DropDown - Anchor Text Hover, Background Hover .srumenu li a:hover, .srumenu li li a:hover */
if(
( $styles['color-572'] && !str_default_color( 572, $styles['color-572'] )) ) {
$value=$color_options[572];
$css = $css .$value['class'] .' {' ."\n";
if(
( $styles['color-572'] && !str_default_color( 572, $styles['color-572'] )) ) {
$col1=$styles['color-572'];
$css = $css ."\t" .'color: ' .$col1 .';' ."\n";
if( 
( $styles['color-563'] && !str_default_color( 563, $styles['color-563'] )) ) {
$col2=$styles['color-563'];
$css = $css ."\t" .'background-color: ' .$col2 .' !important;' ."\n";
}
}
$css = $css .' }' ."\n";
}
/* Menu Mobile End- @media only screen and (max-width: 800px) */
if(
( $styles['color-554'] && !str_default_color( 554, $styles['color-554'] )) || 
( $styles['color-557'] && !str_default_color( 557, $styles['color-557'] )) || 
( $styles['color-560'] && !str_default_color( 560, $styles['color-560'] )) || 
( $styles['color-563'] && !str_default_color( 563, $styles['color-563'] )) || 
( $styles['color-566'] && !str_default_color( 566, $styles['color-566'] )) || 
( $styles['color-569'] && !str_default_color( 569, $styles['color-569'] )) || 
( $styles['color-572'] && !str_default_color( 572, $styles['color-572'] )) ) {
$css = $css .' }' ."\n";
}
if( $styles['color-880'] && !str_default_color( 880, $styles['color-880'] )) {
$css = $css .'#wrap_stallion, #header_stallion2, #header_stallion_2011, #footer_stallion,.post-meta, .commenthead, .comment-stallion .list-4 li .admin, .com-wrapper, li.odd, li.even, .widget-container, span.gat_widget, h1.gat_widget, #st_feature, .str_landscape, #branding img {' ."\n";
$css = $css .'-moz-border-radius: '. $styles['color-880'].';' ."\n";
$css = $css .'border-radius: '. $styles['color-880'].';' ."\n";
$css = $css .'}' ."\n";
}
if( $styles['color-890'] && !str_default_color( 890, $styles['color-890'] )) {
$css = $css .'blockquote, q, code, pre, .author-bio, .wp-caption, .wp-caption img {' ."\n";
$css = $css .'-moz-border-radius: '. $styles['color-890'].';' ."\n";
$css = $css .'border-radius: '. $styles['color-890'].';' ."\n";
$css = $css .'}' ."\n";
}
if( $styles['color-900'] && !str_default_color( 900, $styles['color-900'] )) {
$css = $css .'input, textarea {' ."\n";
$css = $css .'-moz-border-radius: '. $styles['color-900'].';' ."\n";
$css = $css .'border-radius: '. $styles['color-900'].';' ."\n";
$css = $css .'}' ."\n";
}
if( $styles['color-910'] && !str_default_color( 910, $styles['color-910'] )) {
$css = $css .'.post-meta img, .comment-stallion img, .gallery-caption {' ."\n";
$css = $css .'-moz-border-radius: '. $styles['color-910'].';' ."\n";
$css = $css .'border-radius: '. $styles['color-910'].';' ."\n";
$css = $css .'}' ."\n";
}
if( $styles['color-920'] && !str_default_color( 920, $styles['color-920'] )) {
$css = $css .'.widget-container img, .st_comments_avatar, .comment-stallion .gravatars, .com-header img {' ."\n";
$css = $css .'-moz-border-radius: '. $styles['color-920'].';' ."\n";
$css = $css .'border-radius: '. $styles['color-920'].';' ."\n";
$css = $css .'}' ."\n";
}
if( $styles['color-930'] && !str_default_color( 930, $styles['color-930'] )) {
$css = $css .'.stnavbox a, #st_feature img, #st_feature .st_feature_post .st_feature_main {' ."\n";
$css = $css .'-moz-border-radius: '. $styles['color-930'].';' ."\n";
$css = $css .'border-radius: '. $styles['color-930'].';' ."\n";
$css = $css .'}' ."\n";
}
if ($styles['css-1']) {
$css = $css .$styles['css-1'];
} 
$styles['css-2'] = $css; 
return $styles;
}
?>