<?php
$wpseo_options = get_option('wpseo_titles'); {
echo '<h3>Yoast WordPress SEO Plugin Warnings Version 3.4.2</h3>
<p>You are using the Yoast WordPress SEO Plugin, some of the settings within this plugin are SEO damaging. See <a target="_blank" href="http://stallion-theme.co.uk/yoast-wordpress-seo-plugin-review/">Yoast WordPress SEO Plugin Review</a> for details. Good news is the plugin author has finally removed the sitewide nofollow features which deleted link benefit, but unfortunately still uses noindex and nofollow on a page by page basis.</p>
<p>Below are the <strong style="color:red;">damaging SEO settings</strong> you are currently using, if there are no <strong style="color:red;">red settings</strong> listed below, well done you haven`t set any of the damaging SEO features. If you see red warnings check out the <a href="http://stallion-theme.co.uk/stallion-wordpress-seo-plugin/" target="_blank">Stallion SEO Plugin</a> to achieve the same as noindex without SEO damage: this plugin is built into Stallion Responsive.</p>';
}

#  'noindex-subpages-wpseo' => boolean true
#  'noindex-author-wpseo' => boolean true
#  'noindex-archive-wpseo' => boolean true
#  'noindex-post' => boolean true
#  'noindex-page' => boolean true
#  'noindex-attachment' => boolean true
#  'noindex-tax-category' => boolean true
#  'noindex-tax-post_tag' => boolean true

 if ( isset($wpseo_options['noindex-subpages-wpseo']) ) {
 if ($wpseo_options['noindex-subpages-wpseo'] == 'true') {
 echo '<p><strong>Titles and Metas - General : Sitewide meta settings</strong></p>';
 echo '<strong style="color:red;">Noindex subpages of archives</strong> : ON >> Wastes link benefit and makes indexing a site by search engines harder.<br />Significant SEO damage, this would result in wasted link benefit to archives.';
 }
 } else {}

 if ( isset($wpseo_options['noindex-post']) ) {
 if ($wpseo_options['noindex-post'] == 'true') {
 echo '<p><strong>Titles and Metas - Post Types : Posts</strong></p>';
 echo '<strong style="color:red;">Meta Robots: noindex</strong> : Selected >> Wastes link benefit and makes indexing a site by search engines harder.<br />Significant SEO damage, this would result in ALL your blog Posts NOT being indexed in Google etc...';
 }
 } else {}

 if ( isset($wpseo_options['noindex-page']) ) {
 if ($wpseo_options['noindex-page'] == 'true') {
 echo '<p><strong>Titles and Metas - Post Types : Pages</strong></p>';
 echo '<strong style="color:red;">Meta Robots: noindex</strong> : Selected >> Wastes link benefit and makes indexing a site by search engines harder.<br />Significant SEO damage, this would result in ALL your Static Pages NOT being indexed in Google etc...';
 }
 } else {}

 if ( isset($wpseo_options['noindex-attachment']) ) {
 if ($wpseo_options['noindex-attachment'] == 'true') {
 echo '<p><strong>Titles and Metas - Post Types : Media</strong></p>';
 echo '<strong style="color:red;">Meta Robots: noindex</strong> : Selected >> Wastes link benefit and makes indexing a site by search engines harder.<br />Significant SEO damage, this would result in ALL your Attachment/Media posts NOT being indexed in Google etc...';
 }
 } else {}

 if ( isset($wpseo_options['noindex-category']) ) {
 if ($wpseo_options['noindex-category'] == 'true') {
 echo '<p><strong>Titles and Metas - Taxonomies : Categories</strong></p>';
 echo '<strong style="color:red;">Meta Robots: noindex</strong> : Selected >> Wastes link benefit and makes indexing a site by search engines harder.<br />Significant SEO damage, this would result in ALL your Categories NOT being indexed in Google etc...';
 }
 } else {}

 if ( isset($wpseo_options['noindex-post_tag']) ) {
 if ($wpseo_options['noindex-post_tag'] == 'true') {
 echo '<p><strong>Titles and Metas - Taxonomies : Tags</strong></p>';
 echo '<strong style="color:red;">Meta Robots: noindex</strong> : Selected >> Wastes link benefit and makes indexing a site by search engines harder.<br />Significant SEO damage, this would result in ALL your Tags NOT being indexed in Google etc...';
 }
 } else {}

/* if ( isset($wpseo_options['noindex-post_format']) ) {
if ($wpseo_options['noindex-post_format'] == 'true') {
echo '<p><strong>Titles and Metas - Taxonomies : Format</strong></p>';
echo '<strong style="color:red;">Meta Robots: noindex, follow</strong> : Ticked >> Wastes link benefit and makes indexing a site by search engines harder.<br />Significant SEO damage, this would result in ALL your Format pages NOT being indexed in Google etc...';
}
 } else {}*/

 if ( isset($wpseo_options['noindex-author-wpseo']) ) {
 if ($wpseo_options['noindex-author-wpseo'] == 'true') {
 echo '<p><strong>Titles and Metas - Other : Author Archives</strong></p>';
 echo '<strong style="color:red;">Meta Robots: noindex</strong> : Selected >> Wastes link benefit and makes indexing a site by search engines harder.<br />Significant SEO damage, this would result in ALL your Author Archives NOT being indexed in Google etc...';
 }
 } else {}

 if ( isset($wpseo_options['noindex-archive-wpseo']) ) {
 if ($wpseo_options['noindex-archive-wpseo'] == 'true') {
 echo '<p><strong>Titles and Metas - Other : Date Archives</strong></p>';
 echo '<strong style="color:red;">Meta Robots: noindex</strong> : Selected >> Wastes link benefit and makes indexing a site by search engines harder.<br />Significant SEO damage, this would result in ALL your Date Archives NOT being indexed in Google etc...';
 }
 } else {}
?>